#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0xc46f151d, "xen_front_pgdir_shbuf_map" },
	{ 0xb815270a, "xenbus_switch_state" },
	{ 0x2f6e3f29, "drm_gem_object_init" },
	{ 0x86779f3c, "drmm_mode_config_init" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x670f8ed5, "drm_crtc_send_vblank_event" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8b645298, "drm_atomic_helper_commit" },
	{ 0xd1c1feb9, "drm_atomic_helper_check" },
	{ 0xb9d036, "drm_atomic_helper_connector_destroy_state" },
	{ 0x5f0f6301, "xen_front_pgdir_shbuf_free" },
	{ 0xd3af05f0, "drm_gem_mmap" },
	{ 0xbb241549, "drm_mode_create" },
	{ 0xf8c9197d, "drm_ioctl" },
	{ 0xd0458ccb, "xenbus_strstate" },
	{ 0x2a5c2ab8, "xenbus_alloc_evtchn" },
	{ 0x92f571b1, "xen_free_unpopulated_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x80a3b9be, "drm_gem_vm_close" },
	{ 0xef614f35, "drm_gem_vm_open" },
	{ 0xc1c1bf03, "drm_dev_unplug" },
	{ 0xf2ba8273, "drm_connector_init" },
	{ 0x57bc19d2, "down_write" },
	{ 0x887d11ac, "__xenbus_register_frontend" },
	{ 0xce807a25, "up_write" },
	{ 0x66cf2f64, "drm_display_mode_from_videomode" },
	{ 0xd24d741, "noop_llseek" },
	{ 0x915a18e8, "drm_read" },
	{ 0xc1e9c363, "drm_gem_object_release" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbf2553d0, "xen_front_pgdir_shbuf_alloc" },
	{ 0x8cca2a75, "xenbus_unregister_driver" },
	{ 0xf458a6a, "xen_front_pgdir_shbuf_unmap" },
	{ 0xb8805f12, "vmap" },
	{ 0x6c49bfbc, "drm_gem_handle_create" },
	{ 0x8a2a6ac2, "xenbus_free_evtchn" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xf43b5d2f, "drm_prime_pages_to_sg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x932217d2, "drm_dev_unregister" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x393670d5, "drm_dev_put" },
	{ 0x86570167, "drm_gem_fb_create_with_funcs" },
	{ 0x34eab46d, "bind_evtchn_to_irqhandler" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xeb30ca57, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x84f3e7a3, "drm_simple_display_pipe_init" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0xdf9c5b3d, "drm_connector_cleanup" },
	{ 0x4f780a0a, "dma_set_coherent_mask" },
	{ 0xcea2ad61, "devm_kasprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xed9a8276, "vm_map_pages" },
	{ 0x9b651e51, "xenbus_teardown_ring" },
	{ 0xcb90fdee, "drm_helper_probe_single_connector_modes" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc1091842, "xen_alloc_unpopulated_pages" },
	{ 0x84a1327a, "dma_set_mask" },
	{ 0x55c572fc, "drm_atomic_helper_connector_reset" },
	{ 0xc480009f, "drm_mode_config_reset" },
	{ 0x14326871, "xenbus_setup_ring" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0xdc82e7df, "drm_mode_config_cleanup" },
	{ 0xfd8f10d1, "xenbus_dev_error" },
	{ 0xaa4e1691, "xenbus_frontend_closed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x44b02894, "drm_dev_alloc" },
	{ 0x33518508, "drm_gem_put_pages" },
	{ 0xf4c67fbf, "drm_compat_ioctl" },
	{ 0x276d0f01, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x85cb2c45, "xen_has_pv_devices" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0x4ab8aad9, "drm_prime_gem_destroy" },
	{ 0x163c69c3, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x2aa6869c, "drm_gem_fb_destroy" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0xb80d3392, "drm_kms_helper_poll_fini" },
	{ 0x49481009, "drm_open" },
	{ 0x365011dd, "drm_poll" },
	{ 0xf67cc6bf, "drm_dev_enter" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x44eb50cf, "drm_gem_get_pages" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0x77b26287, "drm_kms_helper_poll_init" },
	{ 0xa6257a2f, "complete" },
	{ 0xe6c9f8e0, "drm_mode_probed_add" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd7b6442b, "xenbus_dev_fatal" },
	{ 0xf726f6d, "drm_atomic_helper_shutdown" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0xcb12df1a, "xen_front_pgdir_shbuf_get_dir_start" },
	{ 0x99a4480, "drm_prime_sg_to_page_array" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "xen-front-pgdir-shbuf");


MODULE_INFO(srcversion, "F8249050135F814EE237FBE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
