#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(b2c2_flexcop_debug, "_gpl", "");
KSYMTAB_FUNC(flexcop_pass_dmx_data, "", "");
KSYMTAB_FUNC(flexcop_pass_dmx_packets, "", "");
KSYMTAB_FUNC(flexcop_device_kmalloc, "", "");
KSYMTAB_FUNC(flexcop_device_kfree, "", "");
KSYMTAB_FUNC(flexcop_device_initialize, "", "");
KSYMTAB_FUNC(flexcop_device_exit, "", "");
KSYMTAB_FUNC(flexcop_i2c_request, "", "");
KSYMTAB_FUNC(flexcop_sram_set_dest, "", "");
KSYMTAB_FUNC(flexcop_wan_set_speed, "", "");
KSYMTAB_FUNC(flexcop_sram_ctrl, "", "");
KSYMTAB_FUNC(flexcop_eeprom_check_mac_addr, "", "");
KSYMTAB_FUNC(flexcop_dump_reg, "", "");
KSYMTAB_FUNC(flexcop_pid_feed_control, "", "");

SYMBOL_CRC(b2c2_flexcop_debug, 0x66c0289a, "_gpl");
SYMBOL_CRC(flexcop_pass_dmx_data, 0x40cf5e43, "");
SYMBOL_CRC(flexcop_pass_dmx_packets, 0x7babce6e, "");
SYMBOL_CRC(flexcop_device_kmalloc, 0x15ab9fee, "");
SYMBOL_CRC(flexcop_device_kfree, 0x0663fdfa, "");
SYMBOL_CRC(flexcop_device_initialize, 0xe5f7b401, "");
SYMBOL_CRC(flexcop_device_exit, 0x2b20475c, "");
SYMBOL_CRC(flexcop_i2c_request, 0x848857d4, "");
SYMBOL_CRC(flexcop_sram_set_dest, 0x79196e94, "");
SYMBOL_CRC(flexcop_wan_set_speed, 0x6f7d2c2f, "");
SYMBOL_CRC(flexcop_sram_ctrl, 0x6e8e32d7, "");
SYMBOL_CRC(flexcop_eeprom_check_mac_addr, 0x377f3c12, "");
SYMBOL_CRC(flexcop_dump_reg, 0xaaedb037, "");
SYMBOL_CRC(flexcop_pid_feed_control, 0xf18acd9b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xba3e7bfe, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x7ebec058, "dvb_dmxdev_release" },
	{ 0x8f403d09, "param_ops_short" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa982690e, "dvb_frontend_detach" },
	{ 0x16da4b81, "i2c_add_adapter" },
	{ 0xef494bbb, "dvb_net_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x48e0267f, "dvb_unregister_frontend" },
	{ 0x4088cb8b, "cx24123_get_tuner_i2c_adapter" },
	{ 0xd427f192, "dvb_register_frontend" },
	{ 0x2efeb21d, "cx24113_agc_callback" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0xe13395ae, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0xc07080b7, "s5h1420_get_tuner_i2c_adapter" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdb6c6a27, "dvb_dmxdev_init" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x9386691e, "request_firmware" },
	{ 0x75d6fef4, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ea2e95a, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x18acd31f, "dvb_dmx_swfilter_packets" },
	{ 0x51619424, "i2c_del_adapter" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,cx24123,cx24113,s5h1420");


MODULE_INFO(srcversion, "4C4280033A9676EC02C54AD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
