#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0x2e60e56e, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0xdfe7bb98, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0x7a71fe9f, "");
SYMBOL_CRC(cx18_claim_stream, 0x1da59028, "");
SYMBOL_CRC(cx18_release_stream, 0x0430f0c5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4b485a1, "v4l2_ctrl_handler_log_status" },
	{ 0xf5b3b568, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2aae046, "video_devdata" },
	{ 0x4704fead, "i2c_new_scanned_device" },
	{ 0x6addde39, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x51619424, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x86aeb244, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x92b947b8, "vb2_ioctl_dqbuf" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x58e79c88, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xde14064a, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6576ae6f, "vb2_ioctl_prepare_buf" },
	{ 0xf5ee96b8, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc61b6edc, "pci_read_config_word" },
	{ 0xeee27e95, "vb2_buffer_done" },
	{ 0x1296eff3, "vb2_plane_vaddr" },
	{ 0x69391e64, "v4l2_ctrl_subscribe_event" },
	{ 0xd39e2d0a, "v4l2_fh_init" },
	{ 0x77e29084, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba3e7bfe, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0x1efb77e2, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7ebec058, "dvb_dmxdev_release" },
	{ 0x3a3cdbc3, "vb2_ioctl_qbuf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa606b765, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8f403d09, "param_ops_short" },
	{ 0x74d395ea, "vb2_vmalloc_memops" },
	{ 0xa74ccf83, "dma_sync_single_for_cpu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5294f613, "vb2_fop_read" },
	{ 0x7f059c2a, "v4l2_device_register" },
	{ 0xa982690e, "dvb_frontend_detach" },
	{ 0x55ca89f5, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xef494bbb, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd0c893de, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x48e0267f, "dvb_unregister_frontend" },
	{ 0x485d8c86, "pci_write_config_byte" },
	{ 0xf4dbe3a2, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe7f246d0, "vb2_ioctl_streamon" },
	{ 0xfbed834e, "vb2_fop_poll" },
	{ 0x8771533f, "v4l2_ctrl_new_std" },
	{ 0xb207177f, "v4l2_ctrl_g_ctrl" },
	{ 0x1a4d5b43, "cx2341x_handler_init" },
	{ 0x6db6e677, "cx2341x_handler_set_50hz" },
	{ 0xb09041ff, "v4l2_ctrl_handler_free" },
	{ 0xe237849e, "v4l2_device_unregister" },
	{ 0x748efa64, "pci_disable_device" },
	{ 0xd427f192, "dvb_register_frontend" },
	{ 0x84a1327a, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x98146ebb, "v4l2_subdev_call_wrappers" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0x71c77d80, "v4l2_i2c_new_subdev" },
	{ 0x370d1996, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe13395ae, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x233ccd7, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe5754b42, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x12ba1082, "v4l2_event_unsubscribe" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe5b367d2, "vb2_ioctl_reqbufs" },
	{ 0x1e6a3682, "vb2_queue_init" },
	{ 0x3e559d6a, "v4l2_fh_exit" },
	{ 0xdb6c6a27, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8ea34587, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbc3ed081, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb457fa2f, "vb2_queue_release" },
	{ 0x6b29f705, "pci_enable_device" },
	{ 0xa4913014, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xdb97a374, "i2c_bit_add_bus" },
	{ 0x1b7f8bd7, "v4l2_fh_del" },
	{ 0xca0c6190, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2a7e1188, "dma_unmap_page_attrs" },
	{ 0xa1c617ad, "vb2_ops_wait_finish" },
	{ 0x9386691e, "request_firmware" },
	{ 0x6c4e125c, "__pci_register_driver" },
	{ 0xee263dfc, "v4l2_ctrl_handler_init_class" },
	{ 0x2eba52cb, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x75d6fef4, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0xaab54d46, "vb2_ioctl_querybuf" },
	{ 0xe3de150e, "v4l2_subdev_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa6a58110, "vb2_video_unregister_device" },
	{ 0x79d66a81, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1ea2e95a, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b6877ac, "dev_driver_string" },
	{ 0x8915ed7c, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x423f1757, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,videobuf2-v4l2,dvb-core,tveeprom,videobuf2-common,videobuf2-vmalloc,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B3CBB9F196BA42491EDABBA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
