#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0xb4864497, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x7ff65ddd, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x1d6397fd, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0x6390a43e, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x5bee20cc, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x2de7d01f, "_gpl");
SYMBOL_CRC(is_fw_load, 0x13d1fbde, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x3296522d, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x3961daec, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0xda4bd6dc, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0xf616c7c1, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x9b3a49c6, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x908a4e69, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x1438184f, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x75ad10f5, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0xf720ffe0, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x2a1a0050, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0x62bd8b9e, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0xea8363f2, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x362247e0, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x4f9b9c57, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0xf947e434, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3e1f207e, "usb_clear_halt" },
	{ 0x1f6f2aa2, "usb_put_dev" },
	{ 0x34863ff1, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2aae046, "video_devdata" },
	{ 0x244674d9, "vb2_fop_release" },
	{ 0x6addde39, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xc2adccf6, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc1813b9b, "usb_submit_urb" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0x51619424, "i2c_del_adapter" },
	{ 0xc2746d32, "media_device_register_entity" },
	{ 0x176b747a, "media_device_cleanup" },
	{ 0x92b947b8, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x20972a29, "_dev_err" },
	{ 0x801b0477, "i2c_unregister_device" },
	{ 0x3fc65835, "usb_free_coherent" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6b55bb22, "usb_control_msg" },
	{ 0xeee27e95, "vb2_buffer_done" },
	{ 0x1296eff3, "vb2_plane_vaddr" },
	{ 0x69391e64, "v4l2_ctrl_subscribe_event" },
	{ 0x852ba2a5, "usb_set_interface" },
	{ 0x4bb8c161, "media_entity_pads_init" },
	{ 0x1efb77e2, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x86da9095, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xf276584b, "usb_deregister" },
	{ 0x3a3cdbc3, "vb2_ioctl_qbuf" },
	{ 0xa606b765, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xedc23f4f, "v4l2_s_ctrl" },
	{ 0x307d335e, "i2c_mux_alloc" },
	{ 0x74d395ea, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5294f613, "vb2_fop_read" },
	{ 0x7f059c2a, "v4l2_device_register" },
	{ 0x16da4b81, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9ec8d83, "rc_allocate_device" },
	{ 0x6481e23b, "pv_ops" },
	{ 0xc11c020e, "usb_unlink_urb" },
	{ 0xfecfbb51, "media_entity_setup_link" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd0c893de, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf4dbe3a2, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x44d590f7, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe7f246d0, "vb2_ioctl_streamon" },
	{ 0xbb3f31c7, "v4l2_mc_create_media_graph" },
	{ 0xfbed834e, "vb2_fop_poll" },
	{ 0x1a4d5b43, "cx2341x_handler_init" },
	{ 0x6db6e677, "cx2341x_handler_set_50hz" },
	{ 0x700566aa, "__media_device_usb_init" },
	{ 0xb09041ff, "v4l2_ctrl_handler_free" },
	{ 0xabbe3638, "i2c_transfer" },
	{ 0xe237849e, "v4l2_device_unregister" },
	{ 0x585c2852, "usb_reset_endpoint" },
	{ 0xfd0f0fb5, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x98146ebb, "v4l2_subdev_call_wrappers" },
	{ 0x7993c8c3, "v4l2_ctrl_log_status" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0x71c77d80, "v4l2_i2c_new_subdev" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xe5754b42, "video_device_release_empty" },
	{ 0x6e43c585, "i2c_mux_add_adapter" },
	{ 0x30cc516e, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x12ba1082, "v4l2_event_unsubscribe" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe5b367d2, "vb2_ioctl_reqbufs" },
	{ 0x1e6a3682, "vb2_queue_init" },
	{ 0x54c086c5, "usb_alloc_urb" },
	{ 0x42535559, "v4l2_ctrl_poll" },
	{ 0xbc3ed081, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf37e51cf, "media_device_unregister" },
	{ 0x49c079d7, "usb_free_urb" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0xa4913014, "vb2_ioctl_streamoff" },
	{ 0x1a1c27c7, "v4l2_ctrl_radio_filter" },
	{ 0x3cd9da6, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb97c9b5b, "v4l2_ctrl_add_handler" },
	{ 0x9386691e, "request_firmware" },
	{ 0xa1c617ad, "vb2_ops_wait_finish" },
	{ 0x53dd5d4a, "usb_register_driver" },
	{ 0xee263dfc, "v4l2_ctrl_handler_init_class" },
	{ 0x75d6fef4, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x297fc688, "__media_device_register" },
	{ 0xaab54d46, "vb2_ioctl_querybuf" },
	{ 0xc6a0c1a1, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc1fdbd36, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0830658BA95E1A247C60F4D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
