#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9e7bbd7, "can_bus_off" },
	{ 0x93b27f77, "usb_unanchor_urb" },
	{ 0x24257117, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5c9a9f7, "driver_for_each_device" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8aa5b5e, "alloc_can_err_skb" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0x110b45c6, "register_candev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0x200757c, "netdev_info" },
	{ 0x54c086c5, "usb_alloc_urb" },
	{ 0x80741625, "usb_anchor_urb" },
	{ 0x49c079d7, "usb_free_urb" },
	{ 0x5032dfe8, "can_free_echo_skb" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2f8e7a84, "can_put_echo_skb" },
	{ 0xffa08b72, "consume_skb" },
	{ 0xe01cefcd, "can_get_echo_skb" },
	{ 0x440e0f33, "alloc_canfd_skb" },
	{ 0x53dd5d4a, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x778eb969, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1342e455, "open_candev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4d7b9411, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x34863ff1, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x242808a0, "alloc_can_skb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xa916b694, "strnlen" },
	{ 0xade8738, "netif_device_detach" },
	{ 0x7ccb172, "unregister_candev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc1813b9b, "usb_submit_urb" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0x22d12e8b, "can_change_state" },
	{ 0xe00c9e9c, "can_change_mtu" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x82c8b868, "can_dropped_invalid_skb" },
	{ 0x20972a29, "_dev_err" },
	{ 0xbfce39e8, "free_candev" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xae0ba067, "alloc_candev_mqs" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x2eec61f2, "kfree_skb_reason" },
	{ 0xfce62f70, "netdev_printk" },
	{ 0x6b55bb22, "usb_control_msg" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xf276584b, "usb_deregister" },
	{ 0x757fed5d, "netif_tx_wake_queue" },
	{ 0x5878bb8a, "close_candev" },
	{ 0xfb578fc5, "memset" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x76a99d64, "netif_rx" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "can-dev,usbcore");

MODULE_ALIAS("usb:v0C72p000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0014d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "4F524A631EA275EE9F2EF2F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
