#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x7de095fd, "");
SYMBOL_CRC(vnic_dev_get_res, 0xebea48c0, "");
SYMBOL_CRC(vnic_dev_unregister, 0x711a7b47, "");
SYMBOL_CRC(vnic_dev_register, 0x3eff7343, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x91371dc1, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0xa5054707, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b6877ac, "dev_driver_string" },
	{ 0x7675c96b, "dev_addr_mod" },
	{ 0x8c950c98, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x423f1757, "dma_map_page_attrs" },
	{ 0xa7a7dc7f, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x880215ac, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xcff253e8, "__hw_addr_unsync_dev" },
	{ 0x11ff911c, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7a995d54, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x386afaa1, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x20972a29, "_dev_err" },
	{ 0xa4107e40, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe585ca7f, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5e4a9b5b, "netif_set_real_num_rx_queues" },
	{ 0x32e68457, "dev_close" },
	{ 0xe47961c2, "dma_alloc_attrs" },
	{ 0xc61b6edc, "pci_read_config_word" },
	{ 0x19d1fe6e, "napi_enable" },
	{ 0x4e297ad5, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x3824cd8c, "register_netdev" },
	{ 0xc45f013b, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x27635cd7, "ethtool_op_get_link" },
	{ 0xbd032fb0, "netif_set_xps_queue" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x757fed5d, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0xa74ccf83, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0xbb8ecde7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5c560c94, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x516721a, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4f780a0a, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa94b29c1, "rps_may_expire_flow" },
	{ 0xc8b4ba55, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb5461677, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1f334656, "call_netdevice_notifiers" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeeebfd10, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0xe8628fe8, "__hw_addr_sync_dev" },
	{ 0x1e3838d6, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x10b99c95, "netif_carrier_on" },
	{ 0xe4a2f2a9, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x748efa64, "pci_disable_device" },
	{ 0x84a1327a, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa2b02c70, "__skb_flow_dissect" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0x27e04136, "__napi_schedule_irqoff" },
	{ 0x5b69b494, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xa54e40d0, "napi_disable" },
	{ 0x382bf6ef, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4379ee86, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0x200757c, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe30b6e3e, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf7a890a6, "pci_find_ext_capability" },
	{ 0x6a89f70c, "skb_copy_bits" },
	{ 0x2e391d40, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa3216e5a, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc1b69e18, "pci_enable_device_mem" },
	{ 0xffa08b72, "consume_skb" },
	{ 0x1543bbf, "pci_iomap" },
	{ 0x5252b097, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x71df3695, "unregister_netdev" },
	{ 0x2a7e1188, "dma_unmap_page_attrs" },
	{ 0x6c4e125c, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x377031a3, "pci_disable_msi" },
	{ 0x7cabcafb, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0xebfd0960, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x778eb969, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf2e8f6d5, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79d66a81, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x4d7b9411, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B12ED1452E1B95BE00B106B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
