#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x8f0c862c, "");
SYMBOL_CRC(ath10k_info, 0x57928ee1, "");
SYMBOL_CRC(ath10k_print_driver_info, 0xc9d3ee3c, "");
SYMBOL_CRC(ath10k_err, 0xda14123b, "");
SYMBOL_CRC(ath10k_warn, 0x94471806, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x8a2224a6, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x54bbe46d, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x36ae7d17, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x05c34023, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0xfe6ef8a2, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x9dea9935, "");
SYMBOL_CRC(ath10k_core_start, 0xc7620529, "");
SYMBOL_CRC(ath10k_core_stop, 0xf8fbbef7, "");
SYMBOL_CRC(ath10k_core_register, 0xffdcd691, "");
SYMBOL_CRC(ath10k_core_unregister, 0xe2181621, "");
SYMBOL_CRC(ath10k_core_create, 0xa13a30f7, "");
SYMBOL_CRC(ath10k_core_destroy, 0x9e6b137d, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0xdf1c2ca6, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x06abad37, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x1c87756d, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x4cc7ddf4, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x44d52999, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0xc16256a9, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x204d5cd2, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0xcd666323, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0xd5111724, "");
SYMBOL_CRC(ath10k_bmi_start, 0x5c71b74f, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x30bd9f86, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x68d277c7, "");
SYMBOL_CRC(ath10k_coredump_new, 0x8d775b97, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x1a34101a, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x21de732b, "");
SYMBOL_CRC(ath10k_ce_send, 0x59bbe9eb, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x6706c531, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x58dac402, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0xf146a738, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xb32041ce, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x570ccd05, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x624a2d8f, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0xce67c47c, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x1377709d, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xeeaed7cc, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xe22c6a89, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x864e2482, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0xe349a927, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x14121903, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x8d3c4e6a, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0xb3a05f55, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x38a1c144, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0xf4225619, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0xaf527743, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x706949dc, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x67cc31f5, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0xc92b7416, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x626026dc, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x188d0a96, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x382bf6ef, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xca36dd9a, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0x1709b73e, "ieee80211_csa_finish" },
	{ 0xad3aa861, "skb_queue_head" },
	{ 0xefc2c663, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xd69f5989, "ieee80211_beacon_update_cntdwn" },
	{ 0xb9b2c2fc, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x55c2e337, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x421ffaf7, "ieee80211_connection_loss" },
	{ 0x5907ea72, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7f8453e0, "is_acpi_device_node" },
	{ 0xab3b0794, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2c72ef08, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x43dce2fb, "ieee80211_txq_get_depth" },
	{ 0x26ab4c43, "param_ops_uint" },
	{ 0xd84a6352, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0x2e391d40, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb3142277, "firmware_request_nowarn" },
	{ 0xffa08b72, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x790abde8, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2b088ad0, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xddc99f8d, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1cbe2d51, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x2a7e1188, "dma_unmap_page_attrs" },
	{ 0xb4efc0ae, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x2ae9985f, "ieee80211_iterate_stations_atomic" },
	{ 0x2eba52cb, "dma_sync_single_for_device" },
	{ 0xb718debe, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1058f4db, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x3abd1704, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0xd986e83, "thermal_cooling_device_register" },
	{ 0xcd496ce6, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x8c0be17d, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe782d3af, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb4f257c, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc270f5b2, "pskb_expand_head" },
	{ 0x377cae69, "skb_queue_purge_reason" },
	{ 0x6b6877ac, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5ab495, "ieee80211_find_sta" },
	{ 0x423f1757, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x434b0fa6, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x14e2ab81, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa916b694, "strnlen" },
	{ 0xa920f90e, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x4f1dd68f, "skb_queue_tail" },
	{ 0xcfffe127, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe76e605a, "sysfs_create_link" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9c4392cf, "wiphy_to_ieee80211_hw" },
	{ 0x1d79bbc9, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xff5b2c22, "ieee80211_queue_delayed_work" },
	{ 0x375061a1, "ieee80211_proberesp_get" },
	{ 0x20972a29, "_dev_err" },
	{ 0x4e53c65, "simple_open" },
	{ 0xd340096c, "skb_pull" },
	{ 0x8521643, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd7bbc9e5, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb1afe8dd, "ieee80211_find_sta_by_ifaddr" },
	{ 0x1d380a18, "ieee80211_next_txq" },
	{ 0x2eec61f2, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6d6dfd94, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa0b7b431, "skb_push" },
	{ 0xe47961c2, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x19d1fe6e, "napi_enable" },
	{ 0xaeebf09e, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xbb299d8, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x243935df, "ieee80211_report_low_ack" },
	{ 0x7175f293, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcad372ee, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8c6d946c, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x85fe1865, "ieee80211_alloc_hw_nm" },
	{ 0x73ddd8f5, "cfg80211_get_bss" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x583af99d, "default_llseek" },
	{ 0xd3316af0, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x876b5b12, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x10aef645, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x71f3414e, "devm_nvmem_cell_get" },
	{ 0xe77ea51c, "ieee80211_stop_queue" },
	{ 0x516721a, "__netdev_alloc_skb" },
	{ 0xe9205add, "ieee80211_ready_on_channel" },
	{ 0xb7fc68ac, "ieee80211_stop_queues" },
	{ 0xdc68707d, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x92d695b4, "skb_realloc_headroom" },
	{ 0xaa01121c, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3ac4e8e3, "debugfs_create_file" },
	{ 0xc8b4ba55, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x4794968d, "ieee80211_scan_completed" },
	{ 0x9249eaa1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x52d9aa63, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x2c64fe95, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x36c317d7, "ath_regd_init" },
	{ 0xaf57444d, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4ae9913e, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9877a21a, "ieee80211_tdls_oper_request" },
	{ 0xc188bf2e, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x596bfe4c, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2fd3c399, "ieee80211_tx_rate_update" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0x9a2f251c, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0xa54e40d0, "napi_disable" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "5789326DC29AAB94B893542");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
