#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_stop, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0x736e1876, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x7119da26, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x07187be2, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x1cd4f20d, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x842619b4, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x17f9de2c, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0x9afaf518, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x5da5c3a5, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xf801f564, "_gpl");
SYMBOL_CRC(mt7921_stop, 0xfcde3846, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0xe45d180f, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0xe5947ec8, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xeb76c7a5, "_gpl");
SYMBOL_CRC(mt7921_ops, 0xd4ded652, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x9917e97d, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0x136ea0b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49739976, "mt76_connac2_tx_check_aggr" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0xab271a89, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc270f5b2, "pskb_expand_head" },
	{ 0x91cef64, "wake_up_process" },
	{ 0x5ab699ce, "mt76_connac_free_pending_tx_skbs" },
	{ 0xf07e98ae, "mt792x_sta_statistics" },
	{ 0x377cae69, "skb_queue_purge_reason" },
	{ 0x1cb9a267, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x93309003, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x91621d7a, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x49f70be7, "mt792x_get_et_sset_count" },
	{ 0x1b48927e, "mt76_connac_mcu_set_mac_enable" },
	{ 0x53eaf48e, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xb535bf77, "mt792x_init_acpi_sar_power" },
	{ 0xb192d9bc, "mt792x_set_wakeup" },
	{ 0x551764d, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0x4f1dd68f, "skb_queue_tail" },
	{ 0x210b0544, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x4d428161, "mt76_rx" },
	{ 0x73367c14, "mt792x_load_firmware" },
	{ 0x56542ecd, "mt76_connac_mcu_sched_scan_req" },
	{ 0x9672a23f, "mt792x_get_et_stats" },
	{ 0xe554e0c6, "mt76_connac2_txwi_free" },
	{ 0xe3749844, "__tracepoint_lp_event" },
	{ 0xef4e3fee, "mt76_connac_mcu_uni_add_bss" },
	{ 0x1b52358f, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9c4392cf, "wiphy_to_ieee80211_hw" },
	{ 0xc8473404, "debugfs_attr_read" },
	{ 0x17f39862, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xff5b2c22, "ieee80211_queue_delayed_work" },
	{ 0x7f6f4767, "devm_kmemdup" },
	{ 0x20972a29, "_dev_err" },
	{ 0xd340096c, "skb_pull" },
	{ 0xa67a720f, "mt76_register_device" },
	{ 0x3f8ee1a8, "mt792x_get_stats" },
	{ 0x1bf4eb81, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x434d7340, "simple_attr_release" },
	{ 0xb0088e49, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6d6dfd94, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa0b7b431, "skb_push" },
	{ 0x8a8024a0, "mt76_set_channel" },
	{ 0xbb299d8, "ieee80211_wake_queues" },
	{ 0x24e9d8f9, "mt76_mcu_send_and_get_msg" },
	{ 0x7175f293, "ieee80211_beacon_get_template" },
	{ 0x534a3dd7, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x83a4a1b7, "mt76_eeprom_override" },
	{ 0x8c6d946c, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x648afcb, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4039a672, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x876b5b12, "devm_hwmon_device_register_with_groups" },
	{ 0x232d75cf, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9efa009, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5c560c94, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0xaefa2c3, "mt792x_tx" },
	{ 0x28052aa1, "mt792x_get_et_strings" },
	{ 0x6231edfc, "mt76_sta_state" },
	{ 0xe9205add, "ieee80211_ready_on_channel" },
	{ 0xb7fc68ac, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcea2ad61, "devm_kasprintf" },
	{ 0xf1d07a4d, "cfg80211_reg_can_beacon" },
	{ 0xe4c181d2, "mt792x_remove_interface" },
	{ 0x3b38613f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc028fb14, "mt76_connac_mcu_get_nic_capability" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xbfba99ba, "mt792x_queues_read" },
	{ 0xb3643440, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x3ac4e8e3, "debugfs_create_file" },
	{ 0x4422d883, "mt792x_queues_acq" },
	{ 0x4565e5d2, "ieee80211_sched_scan_results" },
	{ 0x4794968d, "ieee80211_scan_completed" },
	{ 0x9249eaa1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xac5d611e, "mt76_insert_ccmp_hdr" },
	{ 0x1b7685e, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x52d9aa63, "param_ops_bool" },
	{ 0xc6050691, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0x55f8dd39, "mt792x_tx_stats_show" },
	{ 0x66344bd3, "mt76_rx_aggr_start" },
	{ 0x735ba056, "__SCK__tp_func_lp_event" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0xc2c14b14, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd5db0710, "mt792x_mac_init_band" },
	{ 0x2b063b80, "mt76_skb_adjust_pad" },
	{ 0xfa14703a, "mt792x_init_wiphy" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0x21e520da, "mt76_connac_sta_state_dp" },
	{ 0x8097249a, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xda588655, "single_release" },
	{ 0x1bc9ae78, "mt76_queues_read" },
	{ 0x54f5de5b, "mt76_sta_pre_rcu_remove" },
	{ 0x45d75463, "mt76_register_debugfs_fops" },
	{ 0x72b83b44, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x85a806c5, "mt76_connac2_mac_write_txwi" },
	{ 0x80a2fcec, "__mt76_set_tx_blocked" },
	{ 0xaa7bd922, "mt76_connac_mcu_sta_ba" },
	{ 0x1d8f2847, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x9a2f251c, "ieee80211_queue_work" },
	{ 0xa38e40a6, "mt792x_mac_reset_counters" },
	{ 0x3bb7ad41, "napi_consume_skb" },
	{ 0x8165b19f, "__mt76_poll" },
	{ 0xdf5d8dfb, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb4836347, "single_open" },
	{ 0x8211dc7, "mt76_connac_mcu_add_key" },
	{ 0xfb3d4e3f, "mt792x_unassign_vif_chanctx" },
	{ 0xcaf1381d, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0x6c2dcb48, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3477c1df, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xbcf6f174, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xb9b2c2fc, "ieee80211_sta_register_airtime" },
	{ 0x60e32566, "mt792x_init_wcid" },
	{ 0x1478b4ba, "mt792x_init_acpi_sar" },
	{ 0x68ce7fab, "mt76_init_sar_power" },
	{ 0x421ffaf7, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x24377189, "simple_attr_open" },
	{ 0x78f40f02, "ieee80211_iterate_interfaces" },
	{ 0x828732bc, "debugfs_attr_write" },
	{ 0x478f4141, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x8d7c3c3e, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x2e391d40, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xffa08b72, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd017bbf3, "mt76_connac_mcu_uni_set_chctx" },
	{ 0xa8015d4, "mt792x_tx_worker" },
	{ 0x3a384024, "mt792x_flush" },
	{ 0xf8a54894, "mt792x_rx_get_wcid" },
	{ 0xddc99f8d, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0xb7fe7d1, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8841c059, "mt76_connac_mcu_set_channel_domain" },
	{ 0x27bed7ae, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x57b44d9e, "mt76_release_buffered_frames" },
	{ 0x9386691e, "request_firmware" },
	{ 0x12643c5b, "mt76_get_txpower" },
	{ 0x443f9726, "mt76_tx_status_skb_add" },
	{ 0x152ac6ba, "mt76_connac_pm_wake" },
	{ 0x65af1463, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0xc7a5b39, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x71fbec0, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0xabb98135, "mt76_connac_mcu_chip_config" },
	{ 0xa3e025a4, "mt76_get_antenna" },
	{ 0x52ce9ce0, "mt792x_set_coverage_class" },
	{ 0x3f4edf8, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x957d8710, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x514c667c, "seq_lseek" },
	{ 0x9cb7fd8a, "mt76_set_stream_caps" },
	{ 0xdbc050a6, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6848072d, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x53d9a639, "mt76_connac_mcu_update_arp_filter" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mt792x-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "030E6E8158A4770DB87CDF8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
