#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt792x_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt792x_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_worker, "_gpl", "");
KSYMTAB_FUNC(mt792x_roc_timer, "_gpl", "");
KSYMTAB_FUNC(mt792x_flush, "_gpl", "");
KSYMTAB_FUNC(mt792x_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_wakeup, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_strings, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_sset_count, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_sta_statistics, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wiphy, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_mac80211_ops, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(__mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_set_timeing, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_update_mib_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_get_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_assoc_rssi, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt792x_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt792x_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_init_band, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_wake_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_power_save_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_lp_event, "_gpl", "");
KSYMTAB_FUNC(__traceiter_lp_event, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_stats_show, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_acq, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_set, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_get, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_tasklet, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_enable, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reinit_cond, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_rx, "_gpl", "");
KSYMTAB_FUNC(mt792x_wfsys_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt792x_acpi_get_flags, "_gpl", "");

SYMBOL_CRC(mt792x_tx, 0x0aefa2c3, "_gpl");
SYMBOL_CRC(mt792x_remove_interface, 0xe4c181d2, "_gpl");
SYMBOL_CRC(mt792x_conf_tx, 0x93309003, "_gpl");
SYMBOL_CRC(mt792x_get_stats, 0x3f8ee1a8, "_gpl");
SYMBOL_CRC(mt792x_get_tsf, 0xb9efa009, "_gpl");
SYMBOL_CRC(mt792x_set_tsf, 0x53eaf48e, "_gpl");
SYMBOL_CRC(mt792x_tx_worker, 0x0a8015d4, "_gpl");
SYMBOL_CRC(mt792x_roc_timer, 0x9c06d4d5, "_gpl");
SYMBOL_CRC(mt792x_flush, 0x3a384024, "_gpl");
SYMBOL_CRC(mt792x_assign_vif_chanctx, 0x6c2dcb48, "_gpl");
SYMBOL_CRC(mt792x_unassign_vif_chanctx, 0xfb3d4e3f, "_gpl");
SYMBOL_CRC(mt792x_set_wakeup, 0xb192d9bc, "_gpl");
SYMBOL_CRC(mt792x_get_et_strings, 0x28052aa1, "_gpl");
SYMBOL_CRC(mt792x_get_et_sset_count, 0x49f70be7, "_gpl");
SYMBOL_CRC(mt792x_get_et_stats, 0x9672a23f, "_gpl");
SYMBOL_CRC(mt792x_sta_statistics, 0xf07e98ae, "_gpl");
SYMBOL_CRC(mt792x_set_coverage_class, 0x52ce9ce0, "_gpl");
SYMBOL_CRC(mt792x_init_wiphy, 0xfa14703a, "_gpl");
SYMBOL_CRC(mt792x_get_mac80211_ops, 0xbb57f008, "_gpl");
SYMBOL_CRC(mt792x_init_wcid, 0x60e32566, "_gpl");
SYMBOL_CRC(mt792x_mcu_drv_pmctrl, 0x4584ba7b, "_gpl");
SYMBOL_CRC(mt792x_mcu_fw_pmctrl, 0x1a9be459, "_gpl");
SYMBOL_CRC(__mt792xe_mcu_drv_pmctrl, 0x7be1865e, "_gpl");
SYMBOL_CRC(mt792xe_mcu_drv_pmctrl, 0x98a148fb, "_gpl");
SYMBOL_CRC(mt792xe_mcu_fw_pmctrl, 0x3215ad36, "_gpl");
SYMBOL_CRC(mt792x_load_firmware, 0x73367c14, "_gpl");
SYMBOL_CRC(mt792x_mac_work, 0xe731fec5, "_gpl");
SYMBOL_CRC(mt792x_mac_set_timeing, 0xb0088e49, "_gpl");
SYMBOL_CRC(mt792x_mac_update_mib_stats, 0x71b8019a, "_gpl");
SYMBOL_CRC(mt792x_rx_get_wcid, 0xf8a54894, "_gpl");
SYMBOL_CRC(mt792x_mac_assoc_rssi, 0xdbc050a6, "_gpl");
SYMBOL_CRC(mt792x_mac_reset_counters, 0xa38e40a6, "_gpl");
SYMBOL_CRC(mt792x_update_channel, 0x918c1da8, "_gpl");
SYMBOL_CRC(mt792x_reset, 0x72b83b44, "_gpl");
SYMBOL_CRC(mt792x_mac_init_band, 0xd5db0710, "_gpl");
SYMBOL_CRC(mt792x_pm_wake_work, 0x0df73a34, "_gpl");
SYMBOL_CRC(mt792x_pm_power_save_work, 0xe4ccb149, "_gpl");
SYMBOL_CRC(__tracepoint_lp_event, 0xe3749844, "_gpl");
SYMBOL_CRC(__traceiter_lp_event, 0x93331abe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_lp_event, 0x735ba056, "_gpl");
SYMBOL_CRC(__SCT__tp_func_lp_event, 0xabff3e0f, "_gpl");
SYMBOL_CRC(mt792x_tx_stats_show, 0x55f8dd39, "_gpl");
SYMBOL_CRC(mt792x_queues_acq, 0x4422d883, "_gpl");
SYMBOL_CRC(mt792x_queues_read, 0xbfba99ba, "_gpl");
SYMBOL_CRC(mt792x_pm_stats, 0x534a3dd7, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_set, 0x5a7b5c38, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_get, 0xc3a0fb62, "_gpl");
SYMBOL_CRC(mt792x_irq_handler, 0xbd22e98c, "_gpl");
SYMBOL_CRC(mt792x_irq_tasklet, 0x8e471e29, "_gpl");
SYMBOL_CRC(mt792x_rx_poll_complete, 0x157a91a6, "_gpl");
SYMBOL_CRC(mt792x_dma_enable, 0xef924398, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reset, 0x6f6cf859, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reinit_cond, 0x32ee60b5, "_gpl");
SYMBOL_CRC(mt792x_dma_disable, 0x5af77cae, "_gpl");
SYMBOL_CRC(mt792x_dma_cleanup, 0x8f80429d, "_gpl");
SYMBOL_CRC(mt792x_poll_tx, 0x63779ab2, "_gpl");
SYMBOL_CRC(mt792x_poll_rx, 0xb731a9dc, "_gpl");
SYMBOL_CRC(mt792x_wfsys_reset, 0xde7c6f92, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar, 0x1478b4ba, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar_power, 0xb535bf77, "_gpl");
SYMBOL_CRC(mt792x_acpi_get_flags, 0x03f4edf8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f8453e0, "is_acpi_device_node" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfd9a2ed5, "mt76_tx_status_skb_get" },
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0x37aef1fb, "mt76_tx_status_lock" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x27bed7ae, "mt76_connac_mcu_uni_add_dev" },
	{ 0x9386691e, "request_firmware" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2ae9985f, "ieee80211_iterate_stations_atomic" },
	{ 0x152ac6ba, "mt76_connac_pm_wake" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x64ae4c1b, "mt76_has_tx_pending" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0xd44a7e65, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0xe26f544d, "mt76_dma_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1d1349d0, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa90eecc6, "mt76_tx_status_check" },
	{ 0x91cef64, "wake_up_process" },
	{ 0x5ab699ce, "mt76_connac_free_pending_tx_skbs" },
	{ 0x1cb9a267, "mt76_connac_power_save_sched" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa7a7dc7f, "napi_complete_done" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd514b06c, "mt76_tx" },
	{ 0x3cfa40e0, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xff5b2c22, "ieee80211_queue_delayed_work" },
	{ 0x7f6f4767, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9783fb9e, "perf_trace_run_bpf_submit" },
	{ 0x888b4aab, "devm_kfree" },
	{ 0x20972a29, "_dev_err" },
	{ 0xc1adcd2, "mt76_connac2_load_ram" },
	{ 0x15a290cb, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xb4ce68f3, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xbb299d8, "ieee80211_wake_queues" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x7ccb9656, "mt76_set_irq_mask" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x73f4dba6, "mt76_connac_pm_dequeue_skbs" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce1fc193, "mt76_ethtool_page_pool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x858713c4, "__tracepoint_dev_irq" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0x9249eaa1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x84809517, "mt76_txq_schedule_all" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5488b54c, "mt76_connac2_load_patch" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xad35b143, "____mt76_poll_msec" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0x9a2f251c, "ieee80211_queue_work" },
	{ 0x5b69b494, "napi_schedule_prep" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x55c2e337, "device_set_wakeup_enable" },
	{ 0xff02cf1, "mt76_dma_rx_poll" },
	{ 0x5cab271c, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211");


MODULE_INFO(srcversion, "D75AB460518611AF0D50F60");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
