#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_device_from_of, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0xbbd77ea3, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0x4a9cd5be, "_gpl");
SYMBOL_CRC(spmi_register_read, 0xe5c222ad, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0xe2adb579, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0xcc5e5744, "_gpl");
SYMBOL_CRC(spmi_register_write, 0xb8505ea0, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0xac3d408b, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x74470fba, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x0bfeb237, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x24d2eec4, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0x1fec1adc, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0xfcedf2f7, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0x65ceb339, "_gpl");
SYMBOL_CRC(spmi_device_from_of, 0xf8c1f773, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0xd1f60c51, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0x4888ae32, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0x546183af, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x42ef277b, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0x7b9e9b62, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9783fb9e, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9770884a, "bpf_trace_run5" },
	{ 0x46b5ade7, "bpf_trace_run4" },
	{ 0x85932e33, "bpf_trace_run3" },
	{ 0x5a799dc1, "bpf_trace_run6" },
	{ 0xb42a9bd6, "dev_set_name" },
	{ 0x91500e5c, "device_add" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0x20972a29, "_dev_err" },
	{ 0xa6414249, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f17a1bf, "__pm_runtime_set_status" },
	{ 0xe9c89bd4, "pm_runtime_enable" },
	{ 0xeee8de6c, "__pm_runtime_disable" },
	{ 0x5a921311, "strncmp" },
	{ 0xcf5a7d73, "device_match_of_node" },
	{ 0x86d3dbf0, "bus_find_device" },
	{ 0x2f957a57, "driver_register" },
	{ 0x8a08fe39, "bus_unregister" },
	{ 0xc8cad1a2, "bus_register" },
	{ 0x9af3684c, "device_for_each_child" },
	{ 0x5052a005, "device_del" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x62b056a3, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4968a359, "put_device" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x609d65eb, "__pm_runtime_resume" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "287B1CB5A19569B0EC9AE97");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
