#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_local_unipro_ver, "", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0xa9d69fd9, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x7bd81e3b, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0x1e33b6fa, "");
SYMBOL_CRC(ufshcd_hold, 0x1fd43d8f, "_gpl");
SYMBOL_CRC(ufshcd_release, 0xc389b6db, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x923a46d2, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x6c2bc517, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xbafda556, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xb611e6d2, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0xb3da53d0, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0xc8309ac9, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x4bd777b2, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0xf6135a7f, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0xec918fc3, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0xc99bb6a8, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xf5eb4e19, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x32168d4e, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x1e09075f, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0xd2b03540, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x0fefcab4, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x1625e6ef, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0xc73be641, "");
SYMBOL_CRC(ufshcd_system_resume, 0x50624690, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x316f3918, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xbd9b4445, "");
SYMBOL_CRC(ufshcd_remove, 0x52c556f4, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x673cd829, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0xc59e39f9, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x592feb7a, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0xc1007909, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x5e87da3b, "");
SYMBOL_CRC(ufshcd_init, 0xe224d007, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x46bd50fa, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x99546743, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0xcc236d68, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0xe8d411bf, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x8ede4c2a, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x05942a5e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0xc631eda0, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x9f5284e9, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0xc75376e1, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x087c4733, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x572ae3aa, "scsi_change_queue_depth" },
	{ 0xa805e081, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x345d0985, "device_remove_file" },
	{ 0xd3a8cb1d, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x5ccc038, "scsi_dma_map" },
	{ 0x8eb5c310, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc96aa01b, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8671a2b4, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x24377189, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x46b5ade7, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xcd9baee3, "devm_request_threaded_irq" },
	{ 0x828732bc, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0xa5da2dae, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x691b19cc, "scsi_autopm_put_device" },
	{ 0xdbed904a, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x22a63c51, "bsg_remove_queue" },
	{ 0xb42a9bd6, "dev_set_name" },
	{ 0x70ba84a5, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3142fc96, "dmam_alloc_attrs" },
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0xfe370331, "scsi_remove_host" },
	{ 0x5a799dc1, "bpf_trace_run6" },
	{ 0xe7fabcff, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x755c8a76, "blk_pm_runtime_init" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x8c1ad8d7, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcb894299, "sysfs_remove_groups" },
	{ 0x49079ce0, "hwmon_notify_event" },
	{ 0xcf2a6966, "up" },
	{ 0x62b056a3, "device_initialize" },
	{ 0x3fa8b50a, "sysfs_create_groups" },
	{ 0xc48f654f, "dev_pm_opp_add" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdf05757d, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x514c667c, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd44a7e65, "bpf_trace_run2" },
	{ 0x6cb0053a, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xc0a24615, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x89402e32, "devm_clk_get" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc4dc913c, "blk_mq_alloc_tag_set" },
	{ 0x7d2ce4c9, "devfreq_add_device" },
	{ 0x6b6877ac, "dev_driver_string" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1f17a1bf, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7b36ff3b, "scsi_register_driver" },
	{ 0x6ecd577e, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7112eb7f, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4968a359, "put_device" },
	{ 0xe24ee28d, "blk_mq_free_request" },
	{ 0xbf7adfd9, "device_property_read_u32_array" },
	{ 0xfce38a2b, "devm_regulator_get" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xee280b02, "scsi_device_put" },
	{ 0x9aa8ec83, "device_create_file" },
	{ 0xc8473404, "debugfs_attr_read" },
	{ 0x452621, "regulator_set_load" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9783fb9e, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x888b4aab, "devm_kfree" },
	{ 0x20972a29, "_dev_err" },
	{ 0x76c307fc, "blk_queue_update_dma_alignment" },
	{ 0x95a0ed9, "devfreq_remove_device" },
	{ 0xf5203814, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0x91500e5c, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x434d7340, "simple_attr_release" },
	{ 0x38167f6b, "hwmon_device_register_with_info" },
	{ 0x6626afca, "down" },
	{ 0x9770884a, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2ffa827e, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8a87d33, "sdev_prefix_printk" },
	{ 0x70661603, "scsi_scan_host" },
	{ 0x13242f70, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0x8f466f9, "device_link_remove" },
	{ 0x1293b007, "blk_mq_alloc_request" },
	{ 0x838bf28b, "driver_unregister" },
	{ 0xe41dca94, "blk_queue_update_dma_pad" },
	{ 0x75d31c89, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5c8bbabb, "blk_put_queue" },
	{ 0x5052a005, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x4bb63f2c, "dmam_free_coherent" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe3b0d034, "regulator_count_voltages" },
	{ 0x67990b4e, "scsi_is_host_device" },
	{ 0x7d79e505, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc2f8711b, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x94f3e7af, "blk_mq_init_queue" },
	{ 0x61b40e68, "blk_mq_unique_tag" },
	{ 0x5667df41, "bpf_trace_run10" },
	{ 0x43902ec6, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc85c9019, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4f780a0a, "dma_set_coherent_mask" },
	{ 0xe48521d0, "scsi_print_command" },
	{ 0x3b38613f, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x97e847, "pm_runtime_forbid" },
	{ 0x3ac4e8e3, "debugfs_create_file" },
	{ 0xf949b57, "param_set_uint_minmax" },
	{ 0xb02c36a, "pm_runtime_allow" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0x609d65eb, "__pm_runtime_resume" },
	{ 0x8f918409, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x52d9aa63, "param_ops_bool" },
	{ 0x3e32a8a1, "blk_mq_destroy_queue" },
	{ 0x5b2c0aa7, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xeed33b62, "devm_blk_crypto_profile_init" },
	{ 0x3313745b, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x63840a2c, "blk_mq_tagset_busy_iter" },
	{ 0x9b2bde9f, "scsi_done" },
	{ 0xda588655, "single_release" },
	{ 0xdb8c7333, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x84a1327a, "dma_set_mask" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0xd71e8f79, "regulator_disable" },
	{ 0xe5a8211e, "dev_err_probe" },
	{ 0xa331af0f, "dma_unmap_sg_attrs" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0xe918fe7c, "scsi_remove_device" },
	{ 0xd2bb5796, "scsi_block_requests" },
	{ 0xaaba32a7, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb4836347, "single_open" },
	{ 0xd903a63d, "scsi_host_alloc" },
	{ 0xfce11900, "__scsi_add_device" },
	{ 0x79147590, "devfreq_resume_device" },
	{ 0x13f3b8df, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x942efa81, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "6BB44919DB3200F297491B5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
