#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0xcd4431bc, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x6010df5f, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x858dfdba, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x9beb33bf, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x3018a5f4, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x121614ff, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x0a52763f, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x1927be7b, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x9b1e5f52, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x7c09dd81, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x322a9446, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x20a6e93b, "devm_gpiod_get_optional" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1f17a1bf, "__pm_runtime_set_status" },
	{ 0x40aa52b3, "devm_snd_soc_register_component" },
	{ 0x9991cfc1, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc5d1872c, "sdw_write_no_pm" },
	{ 0xf4bcfd59, "devm_free_irq" },
	{ 0xe9c89bd4, "pm_runtime_enable" },
	{ 0x9f167382, "regulator_bulk_disable" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0x9fa5e8d9, "snd_soc_info_volsw" },
	{ 0xe351554b, "cs35l56_init_cs_dsp" },
	{ 0xb76394ea, "wm_adsp_power_down" },
	{ 0xe8a3f9aa, "regcache_drop_region" },
	{ 0x20972a29, "_dev_err" },
	{ 0xd9359295, "debugfs_create_bool" },
	{ 0x148c1096, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xe3a6049f, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2eb07cf8, "cs35l56_runtime_suspend_common" },
	{ 0x197d217c, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd5d72761, "cs35l56_mbox_send" },
	{ 0xd6d8e290, "cs35l56_hw_init" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0xd0c42cb4, "wm_adsp2_component_probe" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb5e56b6a, "snd_soc_dapm_kcontrol_dapm" },
	{ 0xf5d2e85c, "cs35l56_system_reset" },
	{ 0x1118c438, "snd_soc_info_enum_double" },
	{ 0x1a2509c4, "regulator_bulk_enable" },
	{ 0x41fd753, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x26a8f56b, "wm_adsp2_component_remove" },
	{ 0x56301e4e, "cs35l56_wait_for_firmware_boot" },
	{ 0xcea2ad61, "devm_kasprintf" },
	{ 0xa5877db0, "snd_soc_get_volsw" },
	{ 0x6170394b, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xa01e84a7, "cs35l56_is_fw_reload_needed" },
	{ 0xc0f5585a, "regmap_read" },
	{ 0xcee5f8f9, "snd_soc_put_volsw" },
	{ 0x609d65eb, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb6d7c559, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf8940576, "regmap_bulk_read" },
	{ 0xd910c816, "sdw_stream_remove_slave" },
	{ 0x9e60abc7, "cs35l56_runtime_resume_common" },
	{ 0x9f73f20b, "dapm_regulator_event" },
	{ 0xa8128056, "regmap_update_bits_base" },
	{ 0xe5a8211e, "dev_err_probe" },
	{ 0x3026c41e, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0x914f46c5, "snd_soc_dapm_get_enum_double" },
	{ 0xe38ecd6, "__pm_runtime_use_autosuspend" },
	{ 0xfe6bbce8, "wm_halo_init" },
	{ 0xeee8de6c, "__pm_runtime_disable" },
	{ 0x49ddaabd, "cs35l56_firmware_shutdown" },
	{ 0x1d68993a, "sdw_stream_add_slave" },
	{ 0x34c2eab0, "pm_runtime_force_suspend" },
	{ 0xb1ecae6, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x423f302b, "snd_soc_dapm_put_enum_double" },
	{ 0x461d8196, "regcache_cache_only" },
	{ 0xe6f7da50, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x872c7747, "regmap_write" },
	{ 0xdbf0c004, "snd_soc_dapm_mux_update_power" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe7fabcff, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7bfddc2d, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x619401dc, "snd_soc_card_get_kcontrol_locked" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd-soc-cs35l56-shared,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "271DE95F9F3148B74478D26");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
