#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(skl_dsp_set_dma_control, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_create_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_delete_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_pipeline_state, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_save_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_restore_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_dx, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_init_instance, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_bind_unbind, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_load_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_unload_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_get_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_sst_ipc_load_library, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_d0ix, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_get_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_put_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_wake, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_sleep, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(is_skl_dsp_running, "_gpl", "");
KSYMTAB_FUNC(cnl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(skl_clear_module_cnt, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(skl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_instance_id_map, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_id, "_gpl", "");
KSYMTAB_FUNC(skl_put_pvt_id, "_gpl", "");

SYMBOL_CRC(skl_dsp_set_dma_control, 0x72104751, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0xb94c697d, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0xc0361bd8, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0x0ea55f9a, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0xf18678b3, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0xc77d5954, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0x795178b7, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0x4c3a582d, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0x42b84c8c, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0x294d3448, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0x07042cb4, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0x18318b8f, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0x2f16b3a6, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0xa529df01, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0x66291636, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0xf18e184f, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0x5a05dc48, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0x403d430e, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x711e2b9d, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0xe9fdafa0, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0x093435e2, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0x723047e7, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0x0042534a, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0x34ee1d69, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0xf5a5cc55, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0x99bc3092, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0x0f8ea04f, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0xb0c223d4, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0x42ed3e2e, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0xf26bb9b3, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0xdf2b9b90, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0xcf676a80, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0xc6671663, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0x1e50673b, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0xcddfa355, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x40a093a0, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0x3854fdf3, "snd_hdac_ext_bus_exit" },
	{ 0x9fd09404, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4968a359, "put_device" },
	{ 0xb8839b70, "sysfs_remove_file_ns" },
	{ 0xc115622d, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xe22ddfff, "snd_hdac_ext_stream_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0x88bbc141, "snd_hdac_device_register" },
	{ 0x737df1c2, "snd_hdac_stream_spbcap_enable" },
	{ 0x4f6f732f, "sst_ipc_tx_message_nopm" },
	{ 0x181a5af7, "snd_hdac_i915_init" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xb36176e1, "snd_hdac_bus_init_chip" },
	{ 0x32c9a135, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa2ed52bf, "intel_nhlt_get_endpoint_blob" },
	{ 0x361e7119, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x5aed5eb5, "sst_dsp_shim_read_unlocked" },
	{ 0x888b4aab, "devm_kfree" },
	{ 0x20972a29, "_dev_err" },
	{ 0x4e53c65, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0xeb4f830f, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4a9706d7, "platform_device_unregister" },
	{ 0x9b77ccc7, "sst_ipc_fini" },
	{ 0xc20db8ac, "snd_hdac_ext_stream_assign" },
	{ 0x14a319e0, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x720c5f3b, "snd_hdac_ext_stream_init_all" },
	{ 0x13242f70, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x782703b, "sst_dsp_shim_update_bits_unlocked" },
	{ 0xbf864a33, "sst_dsp_shim_update_bits_forced" },
	{ 0x6a7a8327, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0x28bbffb0, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0xf07005b6, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0x9b59996e, "snd_soc_tplg_component_load" },
	{ 0x9667153d, "sst_dsp_shim_read" },
	{ 0x38060cee, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa7ae86da, "snd_hdac_bus_stop_cmd_io" },
	{ 0x15582474, "snd_hdac_stream_sync" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xca568cf8, "pci_restore_state" },
	{ 0x583af99d, "default_llseek" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x419173dd, "snd_pcm_set_managed_buffer_all" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x39133a22, "snd_hdac_display_power" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0xbb8ecde7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x78bdf88, "sst_dsp_mailbox_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd6a7d60e, "sst_ipc_tx_msg_reply_complete" },
	{ 0xe0f27302, "snd_soc_tplg_component_remove" },
	{ 0x94725d36, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x4f780a0a, "dma_set_coherent_mask" },
	{ 0x3b1d1a0, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc22a5307, "sst_dsp_shim_update_bits" },
	{ 0xc3a11254, "snd_hdac_acomp_exit" },
	{ 0x3ac4e8e3, "debugfs_create_file" },
	{ 0x46d72683, "snd_hdac_bus_parse_capabilities" },
	{ 0x1a4736c3, "platform_device_register_full" },
	{ 0xead00895, "sst_dsp_outbox_write" },
	{ 0xb02c36a, "pm_runtime_allow" },
	{ 0x609d65eb, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x61f2372a, "snd_hdac_stream_setup" },
	{ 0x911db96c, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x5dace305, "snd_hdac_stream_set_params" },
	{ 0xb5461677, "pci_release_regions" },
	{ 0x69e839af, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd89ba25f, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0x955f38a0, "snd_hdac_bus_handle_stream_irq" },
	{ 0x485d8c86, "pci_write_config_byte" },
	{ 0xac610487, "snd_hdac_stream_drsm_enable" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4e07dc4, "snd_soc_acpi_intel_skl_machines" },
	{ 0x268663c4, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x91577df5, "snd_soc_set_runtime_hwparams" },
	{ 0xc8bedbd4, "snd_hdac_get_stream" },
	{ 0x748efa64, "pci_disable_device" },
	{ 0x564a136c, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xec39fe3, "pci_match_id" },
	{ 0x901f3671, "snd_hdac_stream_sync_trigger" },
	{ 0xb047db35, "snd_hdac_ext_bus_link_put" },
	{ 0x9b729822, "snd_hda_codec_device_init" },
	{ 0x84a1327a, "dma_set_mask" },
	{ 0x7f61be86, "snd_hdac_set_codec_wakeup" },
	{ 0x77656ad6, "snd_hdac_stream_reset" },
	{ 0x8250a072, "sst_dsp_shim_write" },
	{ 0x7d61ad99, "snd_pcm_period_elapsed" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0x3026c41e, "__pm_runtime_suspend" },
	{ 0x895e038f, "snd_hdac_bus_alloc_stream_pages" },
	{ 0x4cefcfa, "snd_soc_tplg_widget_bind_event" },
	{ 0x370d1996, "pci_read_config_byte" },
	{ 0x28559cd5, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0x5094be41, "intel_nhlt_init" },
	{ 0x810285f9, "snd_hdac_stop_streams_and_chip" },
	{ 0x5885007d, "snd_hdac_dsp_cleanup" },
	{ 0x13f3b8df, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbd8e30fc, "snd_hdac_ext_stream_reset" },
	{ 0xfc1ba4b7, "snd_hdac_stop_streams" },
	{ 0x88765549, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xddd78d4f, "snd_hdac_stream_start" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5c1cbf2, "pci_write_config_dword" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x117b9f01, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5e7a786c, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd4dfe595, "snd_soc_acpi_intel_hda_machines" },
	{ 0x3e1f4225, "platform_device_put" },
	{ 0xd1bc07a2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5fbc0780, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52cacce7, "sst_dsp_register_poll" },
	{ 0xec8bac74, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0x6b29f705, "pci_enable_device" },
	{ 0x933818ae, "snd_hdac_bus_send_cmd" },
	{ 0xac2bab21, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x49c15bfb, "snd_hdac_stream_set_spib" },
	{ 0x509aa4c5, "snd_hdac_bus_enter_link_reset" },
	{ 0xfa94e473, "sst_ipc_tx_message_wait" },
	{ 0xe0ae3699, "intel_nhlt_get_dmic_geo" },
	{ 0x271c3f12, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x71f563e0, "snd_hdac_ext_stream_start" },
	{ 0x28daa5f9, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3469210a, "snd_hdac_ext_stream_free_all" },
	{ 0x3db76e0e, "snd_hdac_bus_update_rirb" },
	{ 0x99a11b32, "sst_dsp_shim_write_unlocked" },
	{ 0xc0ca501e, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9386691e, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x6c4e125c, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xd67bf2a1, "snd_pcm_hw_constraint_minmax" },
	{ 0xdbb1044e, "snd_hdac_codec_modalias" },
	{ 0x33c7236f, "snd_hdac_bus_stop_chip" },
	{ 0x7cabcafb, "pci_request_regions" },
	{ 0x44824cf3, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x453ce53, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8f00616d, "snd_intel_dsp_driver_probe" },
	{ 0x20f1348e, "snd_hdac_stream_set_lpib" },
	{ 0xd71f77f9, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0x1fa5e5af, "snd_sgbuf_get_chunk_size" },
	{ 0x7de952c1, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x460af20, "snd_hdac_ext_bus_device_remove" },
	{ 0x5c078c5d, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0x35882868, "snd_pcm_set_sync" },
	{ 0x79d66a81, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe51f654f, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf460c410, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb1de6cbe, "snd_hdac_stream_timecounter_init" },
	{ 0x816accb7, "snd_hdac_ext_link_free_all" },
	{ 0xb74775b9, "sst_ipc_tx_message_nowait" },
	{ 0x1179d504, "pci_read_config_dword" },
	{ 0x4bd6c7cd, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x40aa52b3, "devm_snd_soc_register_component" },
	{ 0x63da9431, "snd_hdac_bus_free_stream_pages" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xa76cf946, "snd_hdac_dsp_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core,snd-hda-core,snd-soc-sst-ipc,snd-intel-dspcfg,snd-soc-sst-dsp,snd-soc-acpi-intel-match,snd-soc-acpi,snd-soc-core,snd-pcm,snd-hda-codec,snd-soc-hdac-hda");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "79AC3EEF8E6F3965F4E73CF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
