#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(acp_sof_quirk_table, "_gpl", "");
KSYMTAB_FUNC(amd_sof_acp_suspend, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_resume, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_probe, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_remove, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_get_bar_index, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_pre_fw_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_dsp_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_load_signed_firmware, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_send_msg, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_irq_thread, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_msg_data, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_set_stream_data_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_mailbox_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_window_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_hw_params, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_open, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_close, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_pointer, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_get, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_put, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_release, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_DATA(sof_acp_common_ops, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_register, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_unregister, "", "SND_SOC_SOF_AMD_COMMON");

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0x30278aee, "");
SYMBOL_CRC(amd_sof_acp_resume, 0xc39808d3, "");
SYMBOL_CRC(amd_sof_acp_probe, 0x4f0a1aa0, "");
SYMBOL_CRC(amd_sof_acp_remove, 0xc4cc4e2d, "");
SYMBOL_CRC(acp_dsp_block_read, 0x8330112c, "");
SYMBOL_CRC(acp_dsp_block_write, 0x379ebc7a, "");
SYMBOL_CRC(acp_get_bar_index, 0xb1db9a08, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0xf4b1a115, "");
SYMBOL_CRC(acp_sof_dsp_run, 0x79d3c910, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0x22a48103, "");
SYMBOL_CRC(acp_mailbox_write, 0x47405a1f, "");
SYMBOL_CRC(acp_mailbox_read, 0x2908bf6b, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0xdcb37b87, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0xd6466e5b, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0x5a0e2702, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0x12a0db01, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0xda380b2c, "");
SYMBOL_CRC(acp_pcm_hw_params, 0x480dcbcc, "");
SYMBOL_CRC(acp_pcm_open, 0xa68f8727, "");
SYMBOL_CRC(acp_pcm_close, 0x117d7ced, "");
SYMBOL_CRC(acp_pcm_pointer, 0xeb5835cc, "");
SYMBOL_CRC(acp_dsp_stream_get, 0x9a4e560d, "");
SYMBOL_CRC(acp_dsp_stream_put, 0x16245bcb, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x45bf0be0, "");
SYMBOL_CRC(acp_sof_trace_release, 0x403b0d61, "");
SYMBOL_CRC(acp_sof_trace_init, 0x19b44765, "");
SYMBOL_CRC(sof_acp_common_ops, 0xb004bfa0, "");
SYMBOL_CRC(acp_probes_register, 0x96af1adf, "");
SYMBOL_CRC(acp_probes_unregister, 0x949a4908, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8c9c334, "devm_ioremap" },
	{ 0xe5f67626, "sof_xtensa_arch_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd71f77f9, "snd_sgbuf_get_addr" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1179d504, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x20972a29, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4a9706d7, "platform_device_unregister" },
	{ 0xe47961c2, "dma_alloc_attrs" },
	{ 0xfefdecdd, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x68b4103a, "sof_print_oops_and_stack" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x3ea23126, "snd_sof_dsp_update_bits" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0xbb8ecde7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x743b922b, "sof_io_read" },
	{ 0xcea2ad61, "devm_kasprintf" },
	{ 0x70d8e50c, "snd_sof_ipc_reply" },
	{ 0x1a4736c3, "platform_device_register_full" },
	{ 0xc8b4ba55, "dma_free_attrs" },
	{ 0x52d9aa63, "param_ops_bool" },
	{ 0x4303abf1, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xf71a6da4, "snd_sof_dsp_panic" },
	{ 0x9de1de74, "sof_client_dev_unregister" },
	{ 0xe2c036d6, "snd_sof_load_firmware_memcpy" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5c1cbf2, "pci_write_config_dword" },
	{ 0x456273ce, "sof_io_write" },
	{ 0x551a4335, "sof_machine_register" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x82cb7b2, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0xe8a28fe4, "pci_dev_put" },
	{ 0x399466e0, "pci_get_device" },
	{ 0x9386691e, "request_firmware" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-xtensa-dsp,snd-pcm,snd-sof,snd-soc-acpi");


MODULE_INFO(srcversion, "26DD4381EDD8D1BB3D7B8DD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
