#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_apl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_apl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(apl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(cnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_tgl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_tgl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tgl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tglh_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(ehl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(adls_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_icl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_icl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(icl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_mtl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_mtl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(mtl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_lnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_lnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(lnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_pci_intel_probe, 0xeef39639, "");
SYMBOL_CRC(hda_ops_free, 0xf11a4846, "");
SYMBOL_CRC(sof_skl_ops, 0x039e78e4, "");
SYMBOL_CRC(sof_skl_ops_init, 0x289f948c, "");
SYMBOL_CRC(skl_chip_info, 0xd2b18ddd, "");
SYMBOL_CRC(sof_apl_ops, 0xf0cf3e39, "");
SYMBOL_CRC(sof_apl_ops_init, 0x8ffa817e, "");
SYMBOL_CRC(apl_chip_info, 0xba71f80d, "");
SYMBOL_CRC(sof_cnl_ops, 0x069e33cf, "");
SYMBOL_CRC(sof_cnl_ops_init, 0xb3a62f5c, "");
SYMBOL_CRC(cnl_chip_info, 0x7399eed0, "");
SYMBOL_CRC(jsl_chip_info, 0x2ee4d734, "");
SYMBOL_CRC(sof_tgl_ops, 0x66eda336, "");
SYMBOL_CRC(sof_tgl_ops_init, 0xb3e5367d, "");
SYMBOL_CRC(tgl_chip_info, 0x91140a8e, "");
SYMBOL_CRC(tglh_chip_info, 0xc92187f3, "");
SYMBOL_CRC(ehl_chip_info, 0x4dd902a1, "");
SYMBOL_CRC(adls_chip_info, 0xbf2fca1e, "");
SYMBOL_CRC(sof_icl_ops, 0x751ca3df, "");
SYMBOL_CRC(sof_icl_ops_init, 0x52b0c5e0, "");
SYMBOL_CRC(icl_chip_info, 0x80e52c2f, "");
SYMBOL_CRC(sof_mtl_ops, 0x492b8562, "");
SYMBOL_CRC(sof_mtl_ops_init, 0x297629f0, "");
SYMBOL_CRC(mtl_chip_info, 0xc621de46, "");
SYMBOL_CRC(sof_lnl_ops, 0x462f467c, "");
SYMBOL_CRC(sof_lnl_ops_init, 0xc89871b9, "");
SYMBOL_CRC(lnl_chip_info, 0xd576ffcc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd71f77f9, "snd_sgbuf_get_addr" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0x1fa5e5af, "snd_sgbuf_get_chunk_size" },
	{ 0x7de952c1, "pci_ioremap_bar" },
	{ 0x1939d724, "hdac_bus_eml_check_interrupt" },
	{ 0x1669bbfc, "sof_pci_probe" },
	{ 0xe51f654f, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65fe4315, "hda_codec_i915_exit" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x4bd6c7cd, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd217aeed, "hda_codec_resume_cmd_io" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3854fdf3, "snd_hdac_ext_bus_exit" },
	{ 0x7d78291f, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe22ddfff, "snd_hdac_ext_stream_clear" },
	{ 0x7fa40499, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xd1bd292c, "sdw_intel_startup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x641c5c26, "snd_hdac_ext_bus_link_power" },
	{ 0xb0ee9d58, "snd_sof_dsp_dbg_dump" },
	{ 0x142a8dd2, "sdw_intel_process_wakeen_event" },
	{ 0xde6f6c18, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x4998c345, "sof_mailbox_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9783fb9e, "perf_trace_run_bpf_submit" },
	{ 0x9b335835, "hda_bus_ml_put_all" },
	{ 0x888b4aab, "devm_kfree" },
	{ 0x20972a29, "_dev_err" },
	{ 0x910bc4a9, "snd_sof_dsp_update_bits_forced" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4a9706d7, "platform_device_unregister" },
	{ 0x14a319e0, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x757c4871, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfefdecdd, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0xbd884c9d, "hda_codec_device_remove" },
	{ 0x7f24bccb, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5e7c89d3, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x68b4103a, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x43fc4705, "hda_bus_ml_reset_losidv" },
	{ 0x38060cee, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xf9fc5fd9, "snd_sof_ipc_get_reply" },
	{ 0x3ea23126, "snd_sof_dsp_update_bits" },
	{ 0x93f011e, "hdac_bus_eml_enable_interrupt" },
	{ 0x1cddb37c, "hdac_bus_eml_enable_offload" },
	{ 0xca568cf8, "pci_restore_state" },
	{ 0xffe7f548, "snd_sof_pci_update_bits" },
	{ 0x9775a423, "hdac_bus_eml_ssp_get_hlink" },
	{ 0xbb5111be, "hdac_bus_eml_dmic_get_hlink" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x39133a22, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x63b5342f, "sdw_intel_lnl_hw_ops" },
	{ 0xbb8ecde7, "pci_set_master" },
	{ 0x8258da5, "param_ops_charp" },
	{ 0xf16fe981, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4f780a0a, "dma_set_coherent_mask" },
	{ 0xcea2ad61, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3b1d1a0, "snd_pcm_hw_constraint_integer" },
	{ 0x85932e33, "bpf_trace_run3" },
	{ 0x5a7b597d, "hda_codec_rirb_status_clear" },
	{ 0x63d28811, "hda_codec_suspend_cmd_io" },
	{ 0x70d8e50c, "snd_sof_ipc_reply" },
	{ 0x1f18cfd8, "hda_codec_init_cmd_io" },
	{ 0x92e6df8f, "hda_codec_stop_cmd_io" },
	{ 0xc5f82cd5, "hda_codec_detect_mask" },
	{ 0x1a4736c3, "platform_device_register_full" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x52d9aa63, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4303abf1, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4b52d946, "sof_ipc_tx_message" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x209669a1, "sdw_intel_probe" },
	{ 0xf038deca, "snd_sof_load_firmware_raw" },
	{ 0xf71a6da4, "snd_sof_dsp_panic" },
	{ 0x268663c4, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x8a063584, "snd_sof_suspend" },
	{ 0x564a136c, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x84a1327a, "dma_set_mask" },
	{ 0x6add6a55, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0x5094be41, "intel_nhlt_init" },
	{ 0x12df48f7, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9de1de74, "sof_client_dev_unregister" },
	{ 0xf04dc0e9, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xf90bc791, "hda_codec_i915_init" },
	{ 0x1ef0193a, "pci_free_irq_vectors" },
	{ 0xeadc5168, "hda_codec_check_rirb_status" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbd8e30fc, "snd_hdac_ext_stream_reset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x31ad570a, "hdac_bus_eml_get_count" },
	{ 0x88765549, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x456273ce, "sof_io_write" },
	{ 0x551a4335, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5e461097, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x882a63df, "hdac_bus_eml_get_mutex" },
	{ 0xd4dfe595, "snd_soc_acpi_intel_hda_machines" },
	{ 0x9dfd0749, "hda_codec_jack_check" },
	{ 0x175a60c, "hda_bus_ml_suspend" },
	{ 0x32612ba9, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd1bc07a2, "pci_save_state" },
	{ 0xb77b5ab2, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x82cb7b2, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x6ae81b45, "hda_codec_i915_display_power" },
	{ 0x7f8453e0, "is_acpi_device_node" },
	{ 0x46b5ade7, "bpf_trace_run4" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0xec8bac74, "snd_dma_alloc_dir_pages" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0x933818ae, "snd_hdac_bus_send_cmd" },
	{ 0xd3cb475d, "hda_bus_ml_resume" },
	{ 0xabb463e8, "pci_alloc_irq_vectors" },
	{ 0xe0ae3699, "intel_nhlt_get_dmic_geo" },
	{ 0x271c3f12, "snd_hdac_bus_get_response" },
	{ 0x71f563e0, "snd_hdac_ext_stream_start" },
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0x24493a51, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x1daaf1a2, "hda_codec_set_codec_wakeup" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x88dc112c, "hda_bus_ml_init" },
	{ 0x5a3a546f, "hda_codec_probe_bus" },
	{ 0x99df74bf, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xedc03953, "iounmap" },
	{ 0x8e8cfd3c, "sdw_intel_exit" },
	{ 0xa555a51, "hda_codec_check_for_state_change" },
	{ 0xdfb5bf0b, "hda_codec_jack_wake_enable" },
	{ 0xe5f67626, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x453ce53, "snd_hdac_ext_bus_init" },
	{ 0xd4796e7d, "hda_bus_ml_free" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x388922b2, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd44a7e65, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8f00616d, "snd_intel_dsp_driver_probe" },
	{ 0x96783bd2, "pci_irq_vector" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-sof-intel-hda-mlink,snd-sof-pci,snd-soc-hdac-hda,snd-sof-intel-hda,snd-hda-ext-core,snd-sof,soundwire-intel,snd-hda-core,snd-soc-acpi,snd-soc-core,snd-intel-dspcfg,snd-intel-sdw-acpi,snd-soc-acpi-intel-match,snd-sof-xtensa-dsp");


MODULE_INFO(srcversion, "FE740EC668449E79B5D8EDE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
