#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fpga_image_info_alloc, "_gpl", "");
KSYMTAB_FUNC(fpga_image_info_free, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_load, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(of_fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_put, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_lock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unlock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_register, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(devm_fpga_mgr_register, "_gpl", "");

SYMBOL_CRC(fpga_image_info_alloc, 0x04dff379, "_gpl");
SYMBOL_CRC(fpga_image_info_free, 0xcc637110, "_gpl");
SYMBOL_CRC(fpga_mgr_load, 0x34d05a2a, "_gpl");
SYMBOL_CRC(fpga_mgr_get, 0x544c402b, "_gpl");
SYMBOL_CRC(of_fpga_mgr_get, 0x7931ac92, "_gpl");
SYMBOL_CRC(fpga_mgr_put, 0x01ab085f, "_gpl");
SYMBOL_CRC(fpga_mgr_lock, 0xb0c0acce, "_gpl");
SYMBOL_CRC(fpga_mgr_unlock, 0xac3ae346, "_gpl");
SYMBOL_CRC(fpga_mgr_register_full, 0xbcda600c, "_gpl");
SYMBOL_CRC(fpga_mgr_register, 0x77529a29, "_gpl");
SYMBOL_CRC(fpga_mgr_unregister, 0x24f40949, "_gpl");
SYMBOL_CRC(devm_fpga_mgr_register_full, 0x2a927919, "_gpl");
SYMBOL_CRC(devm_fpga_mgr_register, 0x38be503d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc0a24615, "get_device" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0x4968a359, "put_device" },
	{ 0x888b4aab, "devm_kfree" },
	{ 0xa9920823, "sg_miter_start" },
	{ 0x74c1272e, "sg_miter_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7dd2eccd, "sg_miter_stop" },
	{ 0x20972a29, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcf5a7d73, "device_match_of_node" },
	{ 0x3c0a2e3b, "class_find_device" },
	{ 0xeb8a7ceb, "try_module_get" },
	{ 0x6b41fb5d, "module_put" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xa6414249, "device_unregister" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6ddc1c21, "class_register" },
	{ 0x3e7692fe, "class_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x754d539c, "strlen" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb42a9bd6, "dev_set_name" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7c82e0e1, "device_register" },
	{ 0xecd63db6, "__devres_alloc_node" },
	{ 0xf4066d37, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfcafe77d, "sg_miter_skip" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4f3b8a4e, "vmalloc_to_page" },
	{ 0xfb088cfb, "sg_alloc_table_from_pages_segment" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9386691e, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "481CCC9DE1DE3E6F9507C31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
