#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x944ae112, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x3b3f0abc, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0xdfe847d3, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0xbcb869a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfce38a2b, "devm_regulator_get" },
	{ 0xa7d47095, "devm_backlight_device_register" },
	{ 0x86779f3c, "drmm_mode_config_init" },
	{ 0x22ea1c0e, "drm_universal_plane_init" },
	{ 0x6dcd0cbe, "drm_plane_enable_fb_damage_clips" },
	{ 0x1a152a81, "drm_crtc_init_with_planes" },
	{ 0x77632c0b, "drm_encoder_init" },
	{ 0xf2ba8273, "drm_connector_init" },
	{ 0x122a27b5, "drm_connector_attach_encoder" },
	{ 0xc480009f, "drm_mode_config_reset" },
	{ 0x276d0f01, "drm_dev_register" },
	{ 0xc4dc78e9, "drm_fbdev_generic_setup" },
	{ 0x20972a29, "_dev_err" },
	{ 0xe5a8211e, "dev_err_probe" },
	{ 0x1d50927a, "drm_mode_duplicate" },
	{ 0xe6c9f8e0, "drm_mode_probed_add" },
	{ 0x91c3fee0, "drm_set_preferred_mode" },
	{ 0xee590862, "pwm_put" },
	{ 0xd71e8f79, "regulator_disable" },
	{ 0x94eccff, "pwm_apply_state" },
	{ 0x37a0cba, "kfree" },
	{ 0x49cd79c1, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x67ec6a5a, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0xc1c1bf03, "drm_dev_unplug" },
	{ 0xf726f6d, "drm_atomic_helper_shutdown" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0x469209b3, "__drm_gem_reset_shadow_plane" },
	{ 0xf67cc6bf, "drm_dev_enter" },
	{ 0x905bd7ed, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x37873883, "drm_gem_fb_begin_cpu_access" },
	{ 0x922c5635, "drm_fb_xrgb8888_to_mono" },
	{ 0x7f96cc86, "drm_gem_fb_end_cpu_access" },
	{ 0xe73b5f3, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x6b6877ac, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7bfddc2d, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc96aa01b, "regulator_enable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x85821100, "pwm_get" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0xfb578fc5, "memset" },
	{ 0x7f0224c2, "drm_plane_helper_atomic_check" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7788fe51, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x857b1365, "drm_gem_shmem_dumb_create" },
	{ 0xd24d741, "noop_llseek" },
	{ 0x915a18e8, "drm_read" },
	{ 0x365011dd, "drm_poll" },
	{ 0xf8c9197d, "drm_ioctl" },
	{ 0xf4c67fbf, "drm_compat_ioctl" },
	{ 0xd3af05f0, "drm_gem_mmap" },
	{ 0x49481009, "drm_open" },
	{ 0x163c69c3, "drm_release" },
	{ 0xccd20692, "drm_gem_fb_create_with_dirty" },
	{ 0xd1c1feb9, "drm_atomic_helper_check" },
	{ 0x8b645298, "drm_atomic_helper_commit" },
	{ 0x55c572fc, "drm_atomic_helper_connector_reset" },
	{ 0xcb90fdee, "drm_helper_probe_single_connector_modes" },
	{ 0xdf9c5b3d, "drm_connector_cleanup" },
	{ 0xeb30ca57, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xb9d036, "drm_atomic_helper_connector_destroy_state" },
	{ 0xfbae99f5, "drm_encoder_cleanup" },
	{ 0x33b52281, "drm_atomic_helper_crtc_reset" },
	{ 0xedb712b3, "drm_crtc_cleanup" },
	{ 0xf130f362, "drm_atomic_helper_set_config" },
	{ 0x8506cc24, "drm_atomic_helper_page_flip" },
	{ 0xac17ac49, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xbc7d2d79, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x88f813f4, "drm_crtc_helper_atomic_check" },
	{ 0x47e864ab, "drm_atomic_helper_update_plane" },
	{ 0x853512e7, "drm_atomic_helper_disable_plane" },
	{ 0x7b6ee153, "drm_plane_cleanup" },
	{ 0x611a3292, "drm_gem_begin_shadow_fb_access" },
	{ 0x63323875, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x872c7747, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xacca30fb, "__devm_drm_dev_alloc" },
	{ 0x9f278eae, "device_get_match_data" },
	{ 0xbf7adfd9, "device_property_read_u32_array" },
	{ 0xb6a0dfd, "device_property_read_u8_array" },
	{ 0xcc4bd709, "device_property_present" },
	{ 0x20a6e93b, "devm_gpiod_get_optional" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4FE1B87E5DAE6FE5C0E61D1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
