#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xff6872a3, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x1f266691, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x92ce7238, "");
SYMBOL_CRC(rdma_res_to_id, 0xef2625a3, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x4e7a8cc0, "");
SYMBOL_CRC(rdma_create_user_id, 0xd7cc3430, "");
SYMBOL_CRC(rdma_create_qp, 0x3979d7b7, "");
SYMBOL_CRC(rdma_destroy_qp, 0x433c299f, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x99df4411, "");
SYMBOL_CRC(rdma_destroy_id, 0xf9c69d33, "");
SYMBOL_CRC(rdma_get_service_id, 0xd4ea8588, "");
SYMBOL_CRC(rdma_read_gids, 0x5f356102, "");
SYMBOL_CRC(rdma_set_service_type, 0xd026ab5c, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xfed7776b, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x052cdaae, "");
SYMBOL_CRC(rdma_set_ib_path, 0xa3277d66, "");
SYMBOL_CRC(rdma_resolve_route, 0x1fd47dbb, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x0166767c, "");
SYMBOL_CRC(rdma_set_afonly, 0xc292a996, "");
SYMBOL_CRC(rdma_listen, 0xd237918d, "");
SYMBOL_CRC(rdma_resolve_addr, 0xf3524888, "");
SYMBOL_CRC(rdma_bind_addr, 0x058e5e77, "");
SYMBOL_CRC(rdma_connect_locked, 0x45d16429, "");
SYMBOL_CRC(rdma_connect, 0xc7d4338b, "");
SYMBOL_CRC(rdma_connect_ece, 0x67962424, "");
SYMBOL_CRC(rdma_accept, 0xb00caa1d, "");
SYMBOL_CRC(rdma_accept_ece, 0x3be794cc, "");
SYMBOL_CRC(rdma_lock_handler, 0x01ba725c, "");
SYMBOL_CRC(rdma_unlock_handler, 0xd65279c0, "");
SYMBOL_CRC(rdma_notify, 0x106178c8, "");
SYMBOL_CRC(rdma_reject, 0x7063e669, "");
SYMBOL_CRC(rdma_disconnect, 0x4e92503c, "");
SYMBOL_CRC(rdma_join_multicast, 0x0f2bc0f0, "");
SYMBOL_CRC(rdma_leave_multicast, 0x8a4fe129, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0xbad952a1, "iw_cm_connect" },
	{ 0xaab86fba, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa6f5c8bc, "rdma_addr_cancel" },
	{ 0x451c6503, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0xa44f4306, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x67daabb4, "ib_register_client" },
	{ 0x47349f05, "ib_sa_path_rec_get" },
	{ 0x4d3b6c4, "ib_create_cm_id" },
	{ 0x9dd601cf, "__ip_mc_dec_group" },
	{ 0x946475a0, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9783fb9e, "perf_trace_run_bpf_submit" },
	{ 0x7a191e7d, "ib_init_ah_from_mcmember" },
	{ 0x3e99f49a, "rdma_destroy_ah_attr" },
	{ 0xd1ad7079, "ib_set_client_data" },
	{ 0x453f54c3, "init_net" },
	{ 0x2c404506, "ib_get_cached_pkey" },
	{ 0xdc47e7b3, "configfs_register_subsystem" },
	{ 0xdd60bd81, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x386e6026, "rdma_put_gid_attr" },
	{ 0x6ce84bb0, "config_group_init_type_name" },
	{ 0x341bb757, "dev_get_by_index" },
	{ 0x6e38434e, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x34de24f0, "ib_send_cm_rep" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x78c8e0d2, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x58f74694, "bpf_trace_run1" },
	{ 0xc8899859, "ib_destroy_qp_user" },
	{ 0x348bb0d2, "unregister_pernet_subsys" },
	{ 0xa87a5624, "ib_cm_init_qp_attr" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x59a02743, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6311a859, "rdma_restrack_set_name" },
	{ 0x6b55c474, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x2f466d40, "ib_get_cached_port_state" },
	{ 0x3fd4ab10, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4fe55111, "rdma_restrack_del" },
	{ 0x727a362d, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x85932e33, "bpf_trace_run3" },
	{ 0x555b2ba1, "__put_net" },
	{ 0xfe3c2784, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1b06470e, "iw_cm_accept" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbfcca14a, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x76d3f529, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xa6458248, "iw_cm_init_qp_attr" },
	{ 0x279cb0bd, "dst_release" },
	{ 0x19ff045d, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc4852749, "ib_send_cm_dreq" },
	{ 0x1378dfd7, "ib_send_cm_req" },
	{ 0xcb586cd7, "ib_create_qp_kernel" },
	{ 0xc0f97629, "ib_sa_join_multicast" },
	{ 0x936a85f8, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfb941ab2, "rdma_get_gid_attr" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0x60890a93, "rdma_restrack_new" },
	{ 0xee379baa, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x8d08897a, "iw_cm_listen" },
	{ 0x3252c2e8, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x45827ac, "rdma_copy_src_l2_addr" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0xb613a132, "rdma_resolve_ip" },
	{ 0x9b5148d3, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5db2b9e5, "iw_create_cm_id" },
	{ 0xa7c0e76c, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x21a57207, "ib_unregister_client" },
	{ 0xb7c735c, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdc3698b0, "ib_send_cm_sidr_rep" },
	{ 0x46b5ade7, "bpf_trace_run4" },
	{ 0xe224d94c, "config_group_init" },
	{ 0x7abd8253, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe6480674, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0x6c9b70e6, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x45ebaf67, "rdma_query_gid" },
	{ 0x2e303523, "rt6_lookup" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x92e752b9, "rdma_translate_ip" },
	{ 0xd44a7e65, "bpf_trace_run2" },
	{ 0x47aa9f26, "rdma_dev_access_netns" },
	{ 0x4340174e, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb6ff21a9, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa87c5b45, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb337c35e, "register_pernet_subsys" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x7e752c0b, "ip_mc_inc_group" },
	{ 0xbc8b48e3, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xc1abc5fa, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "3071EF2C57F10E5C74CF5BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
