#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8608e761, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x628ed1ce, "mpt_put_msg_frame" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc78c6dbc, "mpt_HardResetHandler" },
	{ 0x402bb983, "mpt_free_msg_frame" },
	{ 0x67990b4e, "scsi_is_host_device" },
	{ 0xe47961c2, "dma_alloc_attrs" },
	{ 0xd96fd5b3, "mpt_config" },
	{ 0xc8b4ba55, "dma_free_attrs" },
	{ 0xabb6b14a, "scsi_device_lookup_by_target" },
	{ 0xf8a87d33, "sdev_prefix_printk" },
	{ 0x12df48f7, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3af74f0, "mptscsih_slave_destroy" },
	{ 0xf86766da, "mptscsih_event_process" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xceae3708, "mptscsih_resume" },
	{ 0x2b18ddec, "mptscsih_ioc_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x83e434ab, "spi_dv_device" },
	{ 0x34fb40a4, "spi_display_xfer_agreement" },
	{ 0x6cb0053a, "__scsi_iterate_devices" },
	{ 0x481c4089, "mptscsih_slave_configure" },
	{ 0x21c4be6d, "mpt_findImVolumes" },
	{ 0x31bc3e1d, "scsi_scan_target" },
	{ 0xf6a88e2b, "mptscsih_raid_id_to_num" },
	{ 0xf40b4c04, "mptscsih_suspend" },
	{ 0x630295dd, "mptscsih_shutdown" },
	{ 0xf52ebef6, "mptscsih_info" },
	{ 0x3772bf90, "mptscsih_abort" },
	{ 0xf414deac, "mptscsih_dev_reset" },
	{ 0xa0c0b384, "mptscsih_bus_reset" },
	{ 0x12d4a8d2, "mptscsih_host_reset" },
	{ 0x7f95a897, "mptscsih_change_queue_depth" },
	{ 0xff15d39e, "mptscsih_bios_param" },
	{ 0x2fd30c89, "mptscsih_show_info" },
	{ 0x415b7f27, "mptscsih_host_attr_groups" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2679770, "spi_attach_transport" },
	{ 0xce436e43, "mptscsih_io_done" },
	{ 0x55e40869, "mpt_register" },
	{ 0x65b7668c, "mptscsih_taskmgmt_complete" },
	{ 0x7ca2d3b1, "mptscsih_scandv_complete" },
	{ 0x8e71dab5, "mpt_event_register" },
	{ 0x1e6ab996, "mpt_reset_register" },
	{ 0x6c4e125c, "__pci_register_driver" },
	{ 0x25535e9d, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe370331, "scsi_remove_host" },
	{ 0x68031b37, "mptscsih_remove" },
	{ 0x8cf9f683, "mptscsih_qcmd" },
	{ 0xe1611b49, "mptscsih_is_phys_disk" },
	{ 0x9b2bde9f, "scsi_done" },
	{ 0x79d66a81, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x1b6673cc, "mpt_attach" },
	{ 0xd903a63d, "scsi_host_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xaaba32a7, "scsi_add_host_with_dma" },
	{ 0x70661603, "scsi_scan_host" },
	{ 0x9a056731, "mptscsih_IssueTaskMgmt" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "mptbase,scsi_mod,mptscsih,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0FB4C011C61458934068E67");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
