#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c950c98, "eth_type_trans" },
	{ 0x11ff911c, "napi_gro_receive" },
	{ 0xa7a7dc7f, "napi_complete_done" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6b6877ac, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xffa08b72, "consume_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6b29f705, "pci_enable_device" },
	{ 0x7cabcafb, "pci_request_regions" },
	{ 0xbb8ecde7, "pci_set_master" },
	{ 0x84a1327a, "dma_set_mask" },
	{ 0xe30b6e3e, "alloc_etherdev_mqs" },
	{ 0xa8c9c334, "devm_ioremap" },
	{ 0x5252b097, "netif_napi_add_weight" },
	{ 0x3824cd8c, "register_netdev" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0x20972a29, "_dev_err" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc8b4ba55, "dma_free_attrs" },
	{ 0xe47961c2, "dma_alloc_attrs" },
	{ 0x200757c, "netdev_info" },
	{ 0x65971baa, "netif_device_attach" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4d7b9411, "netdev_err" },
	{ 0x757fed5d, "netif_tx_wake_queue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x19d1fe6e, "napi_enable" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa54e40d0, "napi_disable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xeeebfd10, "netif_carrier_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5b69b494, "napi_schedule_prep" },
	{ 0x58e7e655, "dev_kfree_skb_irq_reason" },
	{ 0x10b99c95, "netif_carrier_on" },
	{ 0x3cfa40e0, "__napi_schedule" },
	{ 0x24257117, "__dynamic_netdev_dbg" },
	{ 0x6481e23b, "pv_ops" },
	{ 0xebfd0960, "eth_validate_addr" },
	{ 0x75d6fef4, "param_array_ops" },
	{ 0x52d9aa63, "param_ops_bool" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6c4e125c, "__pci_register_driver" },
	{ 0xade8738, "netif_device_detach" },
	{ 0x55c2e337, "device_set_wakeup_enable" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x71df3695, "unregister_netdev" },
	{ 0xc45f013b, "free_netdev" },
	{ 0xb5461677, "pci_release_regions" },
	{ 0x748efa64, "pci_disable_device" },
	{ 0x36a9644a, "mii_ethtool_set_link_ksettings" },
	{ 0xd00350ce, "mii_ethtool_get_link_ksettings" },
	{ 0x3b32218c, "mii_link_ok" },
	{ 0xcdc78fb, "mii_nway_restart" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7675c96b, "dev_addr_mod" },
	{ 0x79d66a81, "pci_unregister_driver" },
	{ 0x516721a, "__netdev_alloc_skb" },
	{ 0x2a7e1188, "dma_unmap_page_attrs" },
	{ 0x2e391d40, "skb_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x423f1757, "dma_map_page_attrs" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v00001022d00007462sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "C7384494CD8891F984AA0F1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
