#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x7e49d454, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x1cce327f, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x9b25e297, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x700bd62b, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xa547c9de, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xb8e27528, "");
SYMBOL_CRC(mlx5_cmd_check, 0x7410345f, "");
SYMBOL_CRC(mlx5_cmd_do, 0x5d50a50e, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x435688e7, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x8b596310, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x4603174d, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xbcdb1de9, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x379b1f5d, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x1c9a8272, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x3e6c191a, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x91c0aa4e, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xeadc85a1, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x1a5d45ce, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x87e6548a, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x8db158d9, "");
SYMBOL_CRC(mlx5_eq_enable, 0x197de917, "");
SYMBOL_CRC(mlx5_eq_disable, 0x74414fce, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xa90d9c32, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0xe0baa087, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x9028e6b7, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x89dd9e49, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x50377074, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x5f1fd7a1, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xc6c6a58f, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xa1be32c3, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x4c4d42f5, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x753c694f, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x1a897b1d, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xf78ed5af, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x30e298c2, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x3a8c4140, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x732e48ae, "");
SYMBOL_CRC(mlx5_create_cq, 0x58a1a1f3, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xfca12558, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xb3facc9c, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xd5f8b0ca, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xea10ed50, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x69f9977d, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xabbc2068, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x01927377, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x1bb9f30b, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x7352d7bc, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x659d2418, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x5375f55e, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xfad1c669, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x99aee3c3, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x17f41e10, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x74a4b2d9, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x19f1d212, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xf3fee103, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x0a94b707, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xef44d369, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x5a66f71d, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x379f184e, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x4d4503af, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x087595af, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x57b9662c, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xb2e6ca6e, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x11f21b8d, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x54669f8b, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xacca25a7, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x6df111bb, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0xd9eb21df, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x3f600b83, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x6bbc97e2, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xf41397cc, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x66246405, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xae62f291, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x7792f8e3, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xb5cdb2b1, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0xa13f2090, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xb63656ec, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x4e7e723d, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x3481bd3e, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x6176fa90, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xfb243710, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0xc6a29e9e, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x130a6046, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x00bda5d4, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x10aa27fa, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x135f8aab, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x5e15b923, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xaf3a63f6, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x1dec52ae, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x5492eba3, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x176b002e, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x85c9b1ca, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x3a9ac719, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x304993cf, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xd728c36b, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x354ca361, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xa618905f, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xb447e860, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x0f002bcd, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xa0c8faa2, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xfd177023, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0xa3407c47, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x0dc3dacd, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xadc733be, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x3101935b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x00fff4b5, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xcf590eec, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xa6e7d57b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xee89b2d1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xc5f5c012, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x50aa8756, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xd0ea8c8a, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x9d19df5c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xa9bafc03, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xd5596c59, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x97976255, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x64db1889, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x62c10cff, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xe5a6b310, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x9ff557e9, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x3d05d239, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x119813fe, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x7ac844e2, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x7eb562fa, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x8f941b5c, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x8148b4f1, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x1b6a27dc, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xc3ea846f, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xf853a31f, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x095f0dee, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xe26f967e, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x973ad97f, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xafc29d8e, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xd685ed60, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x404289cf, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x29a59f95, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xcc4e4b2e, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x9702ef68, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xf1be4b92, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xa3de53b4, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x2a6953ea, "");
SYMBOL_CRC(mlx5_msix_alloc, 0xac3489cc, "");
SYMBOL_CRC(mlx5_msix_free, 0x78df7e57, "");
SYMBOL_CRC(mlx5_fc_create, 0xf2519fb9, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x890f3413, "");
SYMBOL_CRC(mlx5_fc_query, 0x6b3d7dc8, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xefde65e3, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x7e1d9a6b, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xc34649af, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x955ebdee, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xcff08f2f, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x09766bde, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x2212021f, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x1e85f45e, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xae34c2b9, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xbf68ac8b, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x12f18068, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x51483ef5, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xee413a32, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x4eda8711, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x03075269, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x8ad983af, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x7a8d7908, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xf85cf0ee, "");
SYMBOL_CRC(mlx5_notifier_register, 0x69999675, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xcecea5c8, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x49a632a7, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xac7b459b, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xa01a312a, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xec31b505, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x837a0d8a, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xcabe1870, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0xaaac51dd, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x732bce2b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x03b8e61e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0xda3f79e8, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0xcb43104f, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x12c48fb9, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x6257a78c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xbbd0387a, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x07954944, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x046eea43, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x539299f2, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x9e6ef180, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x90a4d38d, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xca692136, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x1e9bffca, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9e31c9ec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x3ccdeea3, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0xab49f47c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5ed395f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x891fe515, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xd88b53ca, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xa42b077b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x12b56bd8, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x563f8fc1, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xcb2b7234, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x46539ce0, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x257690c3, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xc52b9c3f, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x677d7c76, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x7b69b9a4, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0xc3d00284, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xf797f30b, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x88edd20b, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x633212c2, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xe2a1022c, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x09198201, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x98f4337b, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xdcf1a5ef, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x7d890311, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x61e748fd, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x49417d49, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x9ece85a6, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xa84ddf07, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xaf89e0a4, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0xb9888e6b, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xe0227255, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xbd9aaba8, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xd00f6af4, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x94aee0eb, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xee32881e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x27635cd7, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xbd032fb0, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xeac6cf05, "__SCK__tp_func_xdp_exception" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xca568cf8, "pci_restore_state" },
	{ 0x58f74694, "bpf_trace_run1" },
	{ 0xe940ac91, "__inet6_lookup_established" },
	{ 0x757fed5d, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x5052a005, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa74ccf83, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x37dc9e27, "page_pool_create" },
	{ 0x72a51731, "skb_checksum" },
	{ 0x1f4e4442, "page_pool_put_defragged_page" },
	{ 0x1f8b8296, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0xa59654b9, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x31b8699d, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x17bf860e, "devl_resources_unregister" },
	{ 0xb2b09517, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x7379c085, "netif_schedule_queue" },
	{ 0x3808d85e, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0xbb8ecde7, "pci_set_master" },
	{ 0x31e3566a, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc2f8711b, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe84b7596, "flow_rule_match_ipv6_addrs" },
	{ 0x23eb99b1, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xdff153c5, "devl_params_unregister" },
	{ 0xb8fa1925, "ptp_clock_unregister" },
	{ 0x5c560c94, "__pskb_pull_tail" },
	{ 0x6c96da02, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x516721a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xd38d502, "devlink_trap_report" },
	{ 0x5e77b541, "__neigh_event_send" },
	{ 0x93784d3f, "flow_block_cb_alloc" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xc509a91d, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7446ed18, "devl_traps_register" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xccb4ce2e, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x24257117, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4f780a0a, "dma_set_coherent_mask" },
	{ 0x84ce3caf, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x6481e23b, "pv_ops" },
	{ 0x422e5c87, "flow_rule_match_enc_control" },
	{ 0x85932e33, "bpf_trace_run3" },
	{ 0x3b38613f, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x248e985e, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x3ac4e8e3, "debugfs_create_file" },
	{ 0xa94b29c1, "rps_may_expire_flow" },
	{ 0xbe3f48ef, "metadata_dst_free" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xf0e4f627, "xsk_set_tx_need_wakeup" },
	{ 0x50874dc2, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x76e28c22, "netdev_reset_tc" },
	{ 0x7a5ecb86, "neigh_destroy" },
	{ 0xc8b4ba55, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x5cd9e3fe, "debugfs_create_x32" },
	{ 0x5e0206cd, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6408bde5, "flow_rule_match_enc_ports" },
	{ 0x979bb8ca, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb5461677, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x9c61d777, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xab35948e, "devl_assert_locked" },
	{ 0x40a1dbf2, "pcie_print_link_status" },
	{ 0xff2602c1, "xp_set_rxq_info" },
	{ 0xf72f0b0c, "flow_rule_match_vlan" },
	{ 0x16d9078f, "alloc_pages" },
	{ 0xb0979a89, "devl_port_unregister" },
	{ 0x3a9aa10c, "xdp_rxq_info_unreg" },
	{ 0x669b17b2, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x3f1aa396, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x479ad479, "napi_build_skb" },
	{ 0x30bb9c27, "netdev_master_upper_dev_get_rcu" },
	{ 0x15c807de, "__folio_put" },
	{ 0xb014ba64, "__xdp_rxq_info_reg" },
	{ 0x395cfa6a, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x43d277f8, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8c7056fa, "bpf_prog_inc" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7e9fbaf1, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeeebfd10, "netif_carrier_off" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xce7af56f, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9b7b7878, "devlink_priv" },
	{ 0x348117c2, "devlink_port_register_with_ops" },
	{ 0x1e3838d6, "pci_disable_sriov" },
	{ 0xdd630d33, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x279cb0bd, "dst_release" },
	{ 0x10b99c95, "netif_carrier_on" },
	{ 0xe89dc6b, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3313745b, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfeb65e4c, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x748efa64, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0x6ce16126, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x9dd5e606, "page_pool_update_nid" },
	{ 0xda588655, "single_release" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0x84a1327a, "dma_set_mask" },
	{ 0x38af8c6b, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x23e21e32, "netif_set_tso_max_size" },
	{ 0xffb12725, "vlan_dev_vlan_id" },
	{ 0xa2b02c70, "__skb_flow_dissect" },
	{ 0xcd3a6a8, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa0997163, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0xbd9bd44, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb1eb806d, "xp_raw_get_data" },
	{ 0x2dc41d7c, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x5b69b494, "napi_schedule_prep" },
	{ 0x9455077b, "qdisc_reset" },
	{ 0x3bb7ad41, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x92762ac2, "xp_alloc_batch" },
	{ 0xc2cb06b0, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0xa54e40d0, "napi_disable" },
	{ 0x382bf6ef, "dev_kfree_skb_any_reason" },
	{ 0x9a814881, "dcb_ieee_delapp" },
	{ 0x9767ccf3, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x70801ce8, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc5e384a9, "debugfs_create_u8" },
	{ 0xb4836347, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x10038463, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x13f3b8df, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x317d5050, "skb_ext_add" },
	{ 0xd6791af5, "pcie_bandwidth_available" },
	{ 0x1ef0193a, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x97497ce5, "flow_rule_match_control" },
	{ 0x306e119b, "flow_rule_match_ip" },
	{ 0x4379ee86, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2b8f2e83, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x74ff9b80, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xae2df472, "xsk_tx_release" },
	{ 0x27e4a2d6, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7ff755e0, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5c1cbf2, "pci_write_config_dword" },
	{ 0x83494849, "pci_bus_type" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0x200757c, "netdev_info" },
	{ 0xe16b7774, "neigh_lookup" },
	{ 0x1a5c0f4, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbbf62d1, "__tracepoint_xdp_exception" },
	{ 0x21d62fe7, "__inet_lookup_established" },
	{ 0x38dc0753, "xsk_tx_completed" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe30b6e3e, "alloc_etherdev_mqs" },
	{ 0x81af699, "netdev_lower_get_next" },
	{ 0xfd9a6660, "secpath_set" },
	{ 0x324d46b9, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd1bc07a2, "pci_save_state" },
	{ 0x79178ed8, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x70c02276, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6efdee19, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x46c2351f, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc79e8a56, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x99b26758, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9becf0de, "bpf_prog_put" },
	{ 0xe1b3dc53, "page_pool_get_stats" },
	{ 0x24377189, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdf4b7d10, "pci_cfg_access_unlock" },
	{ 0xcef3906, "xp_dma_map" },
	{ 0x46b5ade7, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x71ef243a, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x6a89f70c, "skb_copy_bits" },
	{ 0x828732bc, "debugfs_attr_write" },
	{ 0xc6e1bd03, "dma_pool_create" },
	{ 0x26ab4c43, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe0e5e31b, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6b29f705, "pci_enable_device" },
	{ 0x2e391d40, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa3216e5a, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x263d035, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x957dd262, "__napi_alloc_skb" },
	{ 0x23152683, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x80ae081e, "register_fib_notifier" },
	{ 0xdc0eb9e9, "auxiliary_device_init" },
	{ 0x2c1b2bf5, "ip6_dst_hoplimit" },
	{ 0x1339ba7b, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xbe869d0e, "flow_rule_match_enc_ip" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xabb463e8, "pci_alloc_irq_vectors" },
	{ 0x5252b097, "netif_napi_add_weight" },
	{ 0xe8d83c1b, "pci_enable_atomic_ops_to_root" },
	{ 0x3ee6426b, "seq_release" },
	{ 0x56ed3a7a, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xb8939fd7, "xsk_clear_tx_need_wakeup" },
	{ 0x7350a92c, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0xc8e20fe4, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xefb62c84, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x27810d1a, "ndo_dflt_bridge_getlink" },
	{ 0x71df3695, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xa61d01a1, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xb9b330e4, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xff0ccb12, "register_netdevice_notifier_dev_net" },
	{ 0x2a7e1188, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x1310722c, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9f726ef9, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x6c4e125c, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x2eba52cb, "dma_sync_single_for_device" },
	{ 0xd3da8cf1, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x533384c0, "pci_num_vf" },
	{ 0xfa4356be, "debugfs_create_atomic_t" },
	{ 0xe212c078, "flow_rule_match_eth_addrs" },
	{ 0x628d4364, "skb_add_rx_frag" },
	{ 0x6c660a5, "xfrm_state_check_expire" },
	{ 0x91a636b3, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9e68d53f, "ptp_clock_index" },
	{ 0x7cabcafb, "pci_request_regions" },
	{ 0x3bbf4c90, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0x510ed71e, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5a3d8a4a, "xp_can_alloc" },
	{ 0x1b6883be, "psample_sample_packet" },
	{ 0xebd75600, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6a83d18, "devlink_alloc_ns" },
	{ 0xa6ed2b56, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xabe137b5, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x91603a16, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x63ecd653, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x514c667c, "seq_lseek" },
	{ 0x678252a4, "page_pool_destroy" },
	{ 0xe6e90d55, "xdp_do_redirect" },
	{ 0xdac0481a, "__put_devmap_managed_page_refs" },
	{ 0xd4854241, "devlink_free" },
	{ 0x80117594, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd44a7e65, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x778eb969, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xd6f39a21, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x35b00965, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x96783bd2, "pci_irq_vector" },
	{ 0x7555b5a1, "flow_rule_match_ipv4_addrs" },
	{ 0xa56f06f0, "ip_route_output_flow" },
	{ 0xf2e8f6d5, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0x3470d37c, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x475a8eb, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x79d66a81, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x4d7b9411, "netdev_err" },
	{ 0x199712ca, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x92c508ae, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6b6877ac, "dev_driver_string" },
	{ 0xe066fb75, "netdev_port_same_parent_id" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x7675c96b, "dev_addr_mod" },
	{ 0xdde68afd, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x2fe57a6f, "ptp_find_pin" },
	{ 0x8c950c98, "eth_type_trans" },
	{ 0x1179d504, "pci_read_config_dword" },
	{ 0xafbd0dac, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x492b2658, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9089b2df, "auxiliary_driver_unregister" },
	{ 0x423f1757, "dma_map_page_attrs" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0xa7a7dc7f, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9f6ab3a8, "devlink_port_attrs_pci_vf_set" },
	{ 0xd8cef1aa, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xaee13c1e, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x4968a359, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x3cfa40e0, "__napi_schedule" },
	{ 0x1b575b94, "devlink_port_health_reporter_create" },
	{ 0x1abd57c0, "pcie_relaxed_ordering_enabled" },
	{ 0x3fd10e4d, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xb134d094, "kmalloc_node_trace" },
	{ 0x15ac7fb2, "devlink_port_attrs_pci_pf_set" },
	{ 0x287af2b7, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xade8738, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc4c33dca, "__free_pages" },
	{ 0x11b4febb, "kmem_cache_alloc" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xae3741f7, "skb_vlan_pop" },
	{ 0x11ff911c, "napi_gro_receive" },
	{ 0x65971baa, "netif_device_attach" },
	{ 0x5a70731b, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x5f2d0b83, "netdev_pick_tx" },
	{ 0xf6853c86, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xeb749bf2, "xp_raw_get_dma" },
	{ 0x5d609322, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xb5e0f1d0, "xdp_rxq_info_is_reg" },
	{ 0xe67a26c4, "flow_rule_match_enc_opts" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0xfa2fa20a, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0xb416a753, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x8b738002, "devl_health_reporter_create" },
	{ 0x6fbc2b6b, "flow_block_cb_setup_simple" },
	{ 0x38e3755f, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xcf769ab1, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xf5854926, "unregister_netdevice_notifier_dev_net" },
	{ 0x104b06e8, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xf4e6fb23, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8473404, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xf491f86, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x946475a0, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xeec9bff, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb59f6817, "__dev_get_by_index" },
	{ 0x9783fb9e, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf830c2da, "devlink_port_unregister" },
	{ 0x76d37ec3, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0x20972a29, "_dev_err" },
	{ 0x453f54c3, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xa4107e40, "softnet_data" },
	{ 0x4ece9b71, "ipv6_stub" },
	{ 0x4e53c65, "simple_open" },
	{ 0xd340096c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x86d3dbf0, "bus_find_device" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xf9064903, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x434d7340, "simple_attr_release" },
	{ 0xdd197996, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x37659c8a, "xp_dma_sync_for_cpu_slow" },
	{ 0xd1a0166e, "xsk_tx_peek_desc" },
	{ 0x38167f6b, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xe585ca7f, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xfb16de3c, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xcfac92ca, "irq_get_irq_data" },
	{ 0xf3b5455c, "dev_remove_pack" },
	{ 0x5e4a9b5b, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x341bb757, "dev_get_by_index" },
	{ 0x9770884a, "bpf_trace_run5" },
	{ 0xcadc10fc, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x28878aa5, "skb_store_bits" },
	{ 0x72ac046d, "devl_port_register_with_ops" },
	{ 0x401e1ec9, "dev_get_by_index_rcu" },
	{ 0x2eec61f2, "kfree_skb_reason" },
	{ 0xfce62f70, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x619e8d6f, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa0b7b431, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x46b79de7, "kmem_cache_free" },
	{ 0xe47961c2, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x13242f70, "debugfs_remove" },
	{ 0xc61b6edc, "pci_read_config_word" },
	{ 0x19d1fe6e, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x77a667bd, "xsk_clear_rx_need_wakeup" },
	{ 0x95562fe6, "unregister_netdevice_notifier_net" },
	{ 0x487683b5, "xsk_uses_need_wakeup" },
	{ 0x3824cd8c, "register_netdev" },
	{ 0x77a57e6c, "unregister_fib_notifier" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x8445ad48, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xc6a067eb, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc45f013b, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x6f84d81f, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x46993ba7, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,tls,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "19737241346BF1BE774D0BF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
