#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hostap_80211_rx, "", "");
KSYMTAB_FUNC(hostap_master_start_xmit, "", "");
KSYMTAB_FUNC(hostap_init_data, "", "");
KSYMTAB_FUNC(hostap_init_ap_proc, "", "");
KSYMTAB_FUNC(hostap_free_data, "", "");
KSYMTAB_FUNC(hostap_check_sta_fw_version, "", "");
KSYMTAB_FUNC(hostap_handle_sta_tx_exc, "", "");
KSYMTAB_FUNC(hostap_info_init, "", "");
KSYMTAB_FUNC(hostap_info_process, "", "");
KSYMTAB_DATA(hostap_80211_ops, "", "");
KSYMTAB_FUNC(hostap_set_word, "", "");
KSYMTAB_FUNC(hostap_set_string, "", "");
KSYMTAB_FUNC(hostap_get_porttype, "", "");
KSYMTAB_FUNC(hostap_set_encryption, "", "");
KSYMTAB_FUNC(hostap_set_antsel, "", "");
KSYMTAB_FUNC(hostap_set_roaming, "", "");
KSYMTAB_FUNC(hostap_set_auth_algs, "", "");
KSYMTAB_FUNC(hostap_dump_rx_header, "", "");
KSYMTAB_FUNC(hostap_dump_tx_header, "", "");
KSYMTAB_FUNC(hostap_80211_get_hdrlen, "", "");
KSYMTAB_FUNC(hostap_setup_dev, "", "");
KSYMTAB_FUNC(hostap_set_multicast_list_queue, "", "");
KSYMTAB_FUNC(hostap_set_hostapd, "", "");
KSYMTAB_FUNC(hostap_set_hostapd_sta, "", "");
KSYMTAB_FUNC(hostap_add_interface, "", "");
KSYMTAB_FUNC(hostap_remove_interface, "", "");
KSYMTAB_FUNC(prism2_update_comms_qual, "", "");
KSYMTAB_FUNC(hostap_init_proc, "", "");
KSYMTAB_FUNC(hostap_remove_proc, "", "");

SYMBOL_CRC(hostap_80211_rx, 0x475300b2, "");
SYMBOL_CRC(hostap_master_start_xmit, 0x2e5019b4, "");
SYMBOL_CRC(hostap_init_data, 0x5cb17c1b, "");
SYMBOL_CRC(hostap_init_ap_proc, 0xe9d59507, "");
SYMBOL_CRC(hostap_free_data, 0x1a25c2b2, "");
SYMBOL_CRC(hostap_check_sta_fw_version, 0x905a0753, "");
SYMBOL_CRC(hostap_handle_sta_tx_exc, 0xe14aa317, "");
SYMBOL_CRC(hostap_info_init, 0x8f2b7b4b, "");
SYMBOL_CRC(hostap_info_process, 0xc7b7b1aa, "");
SYMBOL_CRC(hostap_80211_ops, 0x41d33192, "");
SYMBOL_CRC(hostap_set_word, 0xa83d5979, "");
SYMBOL_CRC(hostap_set_string, 0xf6845234, "");
SYMBOL_CRC(hostap_get_porttype, 0xf057f37b, "");
SYMBOL_CRC(hostap_set_encryption, 0xba10f7d5, "");
SYMBOL_CRC(hostap_set_antsel, 0x23445646, "");
SYMBOL_CRC(hostap_set_roaming, 0x35accee5, "");
SYMBOL_CRC(hostap_set_auth_algs, 0xf94e1388, "");
SYMBOL_CRC(hostap_dump_rx_header, 0x7fb75891, "");
SYMBOL_CRC(hostap_dump_tx_header, 0xf91c03e2, "");
SYMBOL_CRC(hostap_80211_get_hdrlen, 0xb4b77c8b, "");
SYMBOL_CRC(hostap_setup_dev, 0x7e6667d4, "");
SYMBOL_CRC(hostap_set_multicast_list_queue, 0x75934c58, "");
SYMBOL_CRC(hostap_set_hostapd, 0x7c8b973a, "");
SYMBOL_CRC(hostap_set_hostapd_sta, 0x70ae48ac, "");
SYMBOL_CRC(hostap_add_interface, 0x6fb0873a, "");
SYMBOL_CRC(hostap_remove_interface, 0xf534d300, "");
SYMBOL_CRC(prism2_update_comms_qual, 0xe7136a81, "");
SYMBOL_CRC(hostap_init_proc, 0x034d2a65, "");
SYMBOL_CRC(hostap_remove_proc, 0xd85067f6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x583af99d, "default_llseek" },
	{ 0x9c850aeb, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x76b30481, "wireless_spy_update" },
	{ 0x76a99d64, "netif_rx" },
	{ 0x516721a, "__netdev_alloc_skb" },
	{ 0xed7ac623, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdc68707d, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x92d695b4, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x50874dc2, "__dev_queue_xmit" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6b181a80, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeeebfd10, "netif_carrier_off" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xaf465d76, "lib80211_crypt_delayed_deinit" },
	{ 0x4ae9913e, "skb_copy" },
	{ 0xd502c3f4, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x10b99c95, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8ba2e892, "proc_create_single_data" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x754d539c, "strlen" },
	{ 0x382bf6ef, "dev_kfree_skb_any_reason" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0x1dc2251c, "proc_create_seq_private" },
	{ 0x85640593, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xef268e23, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbd505001, "register_netdevice" },
	{ 0xe30b6e3e, "alloc_etherdev_mqs" },
	{ 0xeb8a7ceb, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4494d970, "eth_header" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x2e391d40, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0xffa08b72, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x71df3695, "unregister_netdev" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xddc99f8d, "skb_dequeue" },
	{ 0x75d6fef4, "param_array_ops" },
	{ 0x5c64d6a9, "eth_header_cache" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x74412fed, "iw_handler_set_spy" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xebfd0960, "eth_validate_addr" },
	{ 0x40df09d4, "proc_create_data" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1cabae41, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5dabfbb, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc270f5b2, "pskb_expand_head" },
	{ 0x377cae69, "skb_queue_purge_reason" },
	{ 0x7675c96b, "dev_addr_mod" },
	{ 0x8c950c98, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x30a03270, "iw_handler_get_thrspy" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x70883290, "eth_header_cache_update" },
	{ 0xa916b694, "strnlen" },
	{ 0xade8738, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65971baa, "netif_device_attach" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4f1dd68f, "skb_queue_tail" },
	{ 0x6a88b1e0, "lib80211_get_crypto_ops" },
	{ 0x6b41fb5d, "module_put" },
	{ 0x7a995d54, "dev_open" },
	{ 0x453f54c3, "init_net" },
	{ 0xd340096c, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2eec61f2, "kfree_skb_reason" },
	{ 0x32e68457, "dev_close" },
	{ 0xa0b7b431, "skb_push" },
	{ 0xcdeb665, "wireless_send_event" },
	{ 0x5c1327d2, "seq_putc" },
	{ 0xc45f013b, "free_netdev" },
	{ 0xd138902, "iw_handler_get_spy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "lib80211");


MODULE_INFO(srcversion, "B736C4DA17B3757FC8B81A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
