#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x92b289fa, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x0f7d6edd, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x1db588c1, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x452e962d, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xc2d7623a, "_gpl");
SYMBOL_CRC(mt76x0_config, 0xb9f24f0b, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x8e0e7228, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe874f210, "mt76x02_mac_shared_key_setup" },
	{ 0xfb1526c1, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5a90b328, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0x51260585, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xff5b2c22, "ieee80211_queue_delayed_work" },
	{ 0xee9d190d, "mt76_eeprom_init" },
	{ 0x20972a29, "_dev_err" },
	{ 0x5f3702be, "mt76x02_mac_setaddr" },
	{ 0xa67a720f, "mt76_register_device" },
	{ 0xa374abe6, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x84c85216, "mt76x02_phy_set_band" },
	{ 0x8a8024a0, "mt76_set_channel" },
	{ 0x343066f6, "mt76x02_init_device" },
	{ 0xbb299d8, "ieee80211_wake_queues" },
	{ 0x3c1bfeeb, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xd5508739, "mt76x02_phy_set_rxpath" },
	{ 0x674a3c50, "mt76x02_edcca_init" },
	{ 0x83a4a1b7, "mt76_eeprom_override" },
	{ 0x1d64b9d9, "mt76x02_get_lna_gain" },
	{ 0xed133ace, "mt76x02_init_debugfs" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7fc68ac, "ieee80211_stop_queues" },
	{ 0xab69d023, "mt76x02_mac_cc_reset" },
	{ 0x7eed581e, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x84809517, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xad35b143, "____mt76_poll_msec" },
	{ 0x1f595365, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbfc54cbe, "mt76x02_config_mac_addr_list" },
	{ 0x9ddd444f, "mt76_get_sar_power" },
	{ 0xb4173f44, "mt76x02_eeprom_copy" },
	{ 0xd21406a8, "mt76x02_mcu_calibrate" },
	{ 0x66091790, "mt76x02_mcu_function_select" },
	{ 0xc2ef1f2b, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0xa365090b, "mt76x02_mac_wcid_setup" },
	{ 0x8165b19f, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xe8038433, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x973a17fa, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x68ce7fab, "mt76_init_sar_power" },
	{ 0x6b036cc4, "mt76x02_phy_adjust_vga_gain" },
	{ 0xd189e59f, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "A8AAC47CCE032F37A313EB2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
