#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x343066f6, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x452edb46, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x61fffe3d, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xd8f18de2, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x47d1dc16, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x007f3184, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x7e7331ef, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x7d505210, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xc73de7e3, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x086096d0, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x803011f2, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xa8c163ba, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xa1a97a8a, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x492dc534, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x219e9c99, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x3ce8b5bb, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0xd3502b22, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xbfc54cbe, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xf0af2043, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0xe874f210, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xa365090b, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xcdd01bd5, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x5f3702be, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x10819a2c, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x424949b5, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x674a3c50, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0xab69d023, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xd6f8fed1, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xe49b3c0c, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x66091790, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x5bec1e4f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xd21406a8, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x5b8f4d84, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x71091f4f, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0xb4173f44, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x5a90b328, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x3c1bfeeb, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xfb1526c1, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x51260585, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x1d64b9d9, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0xd5508739, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xe8038433, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xc2ef1f2b, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0xa374abe6, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x84c85216, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x6b036cc4, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x7eed581e, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x75ffc43f, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xf6ac4a4d, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0xe8eca8f0, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x1aabe02b, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x3c75e52b, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x9e723ff9, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x9c5678e5, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0xce2f55b2, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0xa4fdcd4b, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xcf2408bf, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x6d536927, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xed133ace, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xd189e59f, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x1f595365, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x7ee28283, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xf8bc2e39, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x64cf5188, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x1a408919, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x702a3a80, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6af56cb5, "mt76_csa_check" },
	{ 0x443f9726, "mt76_tx_status_skb_add" },
	{ 0x426dfe2a, "__tracepoint_mac_txdone" },
	{ 0x27d482cc, "mt76_tx_check_agg_ssn" },
	{ 0xb718debe, "ieee80211_tx_status_ext" },
	{ 0x97dff587, "mt76_stop_tx_queues" },
	{ 0x3bbf4c90, "___pskb_trim" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x957d8710, "__mt76_tx_complete_skb" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x514c667c, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c0be17d, "ieee80211_restart_hw" },
	{ 0xd44a7e65, "bpf_trace_run2" },
	{ 0x6848072d, "ieee80211_get_hdrlen_from_skb" },
	{ 0x32ae02ba, "kthread_park" },
	{ 0xab271a89, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa90eecc6, "mt76_tx_status_check" },
	{ 0x91cef64, "wake_up_process" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x23c41df6, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa7a7dc7f, "napi_complete_done" },
	{ 0x93091690, "ieee80211_get_tx_rates" },
	{ 0x4e00c277, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x91621d7a, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd514b06c, "mt76_tx" },
	{ 0x3cfa40e0, "__napi_schedule" },
	{ 0x9b77924c, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x551764d, "mt76_wcid_key_setup" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0x210b0544, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x4d428161, "mt76_rx" },
	{ 0x4a89322f, "kthread_unpark" },
	{ 0xf111122e, "mt76_phy_dfs_state" },
	{ 0x9c4392cf, "wiphy_to_ieee80211_hw" },
	{ 0x453d083f, "mt76_init_queue" },
	{ 0xc8473404, "debugfs_attr_read" },
	{ 0x5a520ac4, "__mt76_sta_remove" },
	{ 0xbf3003ef, "mt76_tx_status_skb_done" },
	{ 0xff5b2c22, "ieee80211_queue_delayed_work" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9783fb9e, "perf_trace_run_bpf_submit" },
	{ 0x20972a29, "_dev_err" },
	{ 0xd9359295, "debugfs_create_bool" },
	{ 0xd340096c, "skb_pull" },
	{ 0x434d7340, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x15a290cb, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa0b7b431, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x19d1fe6e, "napi_enable" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0xb4ce68f3, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xbb299d8, "ieee80211_wake_queues" },
	{ 0x24e9d8f9, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xce5cd7fb, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x648afcb, "__mt76_mcu_msg_alloc" },
	{ 0x7ccb9656, "mt76_set_irq_mask" },
	{ 0x58f74694, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x268092ca, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc2f8711b, "debugfs_create_u32" },
	{ 0x129ba648, "__SCK__tp_func_mac_txdone" },
	{ 0x11fbc14f, "mt76_seq_puts_array" },
	{ 0xb7fc68ac, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x858713c4, "__tracepoint_dev_irq" },
	{ 0x3b38613f, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa940b196, "mt76_mcu_get_response" },
	{ 0x3ac4e8e3, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0x9249eaa1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84809517, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66344bd3, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xad35b143, "____mt76_poll_msec" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xaf57444d, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xc188bf2e, "ieee80211_radar_detected" },
	{ 0xda588655, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1bc9ae78, "mt76_queues_read" },
	{ 0x45d75463, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x5b69b494, "napi_schedule_prep" },
	{ 0xa54e40d0, "napi_disable" },
	{ 0x382bf6ef, "dev_kfree_skb_any_reason" },
	{ 0x8165b19f, "__mt76_poll" },
	{ 0xdf5d8dfb, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc5e384a9, "debugfs_create_u8" },
	{ 0xb4836347, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x60aa609d, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb9b2c2fc, "ieee80211_sta_register_airtime" },
	{ 0xff02cf1, "mt76_dma_rx_poll" },
	{ 0x5cab271c, "mt76_tx_status_unlock" },
	{ 0x24377189, "simple_attr_open" },
	{ 0x828732bc, "debugfs_attr_write" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xffa08b72, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5252b097, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfd9a2ed5, "mt76_tx_status_skb_get" },
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0x37aef1fb, "mt76_tx_status_lock" },
	{ 0xddc99f8d, "skb_dequeue" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "FD229E656F7B0E92162B15B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
