#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x5e75269f, "");
SYMBOL_CRC(ndlc_close, 0x2cec481a, "");
SYMBOL_CRC(ndlc_send, 0xf6df8a4c, "");
SYMBOL_CRC(ndlc_recv, 0x9d6be4c2, "");
SYMBOL_CRC(ndlc_probe, 0xbc523d0d, "");
SYMBOL_CRC(ndlc_remove, 0xbac790a6, "");
SYMBOL_CRC(st_nci_probe, 0xe50ba66d, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x516bee0e, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x02b0367a, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0xc0655763, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0xbcdd36d7, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0xa5f981ce, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x7327be6b, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x7fae1ba2, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0xe0551b8e, "");
SYMBOL_CRC(st_nci_se_init, 0x7bbc70c0, "");
SYMBOL_CRC(st_nci_se_deinit, 0x2ea92bb0, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x36315c9f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4a3580fc, "nfc_se_transaction" },
	{ 0x20972a29, "_dev_err" },
	{ 0xd340096c, "skb_pull" },
	{ 0x238deb06, "nci_hci_connect_gate" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2eec61f2, "kfree_skb_reason" },
	{ 0xa0b7b431, "skb_push" },
	{ 0xd5a43273, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xa4a9a82, "nci_prop_cmd" },
	{ 0x80b4b0f5, "nci_core_conn_create" },
	{ 0x6b22a447, "nci_nfcc_loopback" },
	{ 0xcfe9f18d, "nci_unregister_device" },
	{ 0x10aef645, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4c081daf, "nci_hci_send_event" },
	{ 0x2c71fa44, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xecdd40b1, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8f80d1aa, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb85b9aac, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x90ca1f30, "nci_recv_frame" },
	{ 0x9cc47e35, "nci_hci_dev_session_init" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0xcbd80333, "nci_hci_set_param" },
	{ 0x153b6215, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xad3aa861, "skb_queue_head" },
	{ 0x73786929, "nci_free_device" },
	{ 0xbbe6ee56, "nci_allocate_device" },
	{ 0xe5aa7e9, "nci_register_device" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0x30db05c9, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x70ec995e, "nfc_add_se" },
	{ 0xddc99f8d, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf5506614, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x377cae69, "skb_queue_purge_reason" },
	{ 0xf26def93, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7d4330b1, "nci_hci_get_param" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4f1dd68f, "skb_queue_tail" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
