#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x536d5b3c, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x5738db54, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x7f56484b, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xce4b4a0f, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xa7c4ba15, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x4f207548, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x6effcc41, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xedce7544, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xd8d66a71, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x6192f418, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x756041de, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x40033537, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x8462a95f, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x5ff131e1, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x694c46f6, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0xacc00eca, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0xac8bc754, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xffb06120, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xb939f98b, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5218b1d4, "__tracepoint_mmap_lock_released" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1179d504, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x9fd09404, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x227e4c4d, "pci_user_write_config_word" },
	{ 0xf600edd1, "bus_register_notifier" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xefceb276, "vfio_file_is_group" },
	{ 0x38e3755f, "pci_msix_can_alloc_dyn" },
	{ 0xa3871d93, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x997c612d, "pci_clear_master" },
	{ 0x6717fb76, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x41692bcf, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xe098a7e7, "pci_write_vpd" },
	{ 0xab3b7884, "vfio_virqfd_enable" },
	{ 0xed1246fa, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc61b6edc, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x3f0b45c2, "aperture_remove_conflicting_pci_devices" },
	{ 0x6b9a7c66, "vfio_unregister_group_dev" },
	{ 0xef6f9bb2, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37a8acd1, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x43e85cb8, "pci_iounmap" },
	{ 0xca568cf8, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x1c2f6c43, "pcie_get_mps" },
	{ 0x126c5ea7, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xcfa5c5d7, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x5b9ce946, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x861718c2, "__mmap_lock_do_trace_start_locking" },
	{ 0x431ec2d1, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x8c1cb02a, "_dev_notice" },
	{ 0x97e847, "pm_runtime_forbid" },
	{ 0xb02c36a, "pm_runtime_allow" },
	{ 0x25f5a627, "pci_reset_bus" },
	{ 0x7f0a69b1, "mmput" },
	{ 0x609d65eb, "__pm_runtime_resume" },
	{ 0x4fd5ad29, "vfio_register_group_dev" },
	{ 0x28dbca12, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x96cf3580, "pci_user_read_config_byte" },
	{ 0x440d7fc6, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xa24c4db5, "__tracepoint_mmap_lock_start_locking" },
	{ 0x77747d11, "pci_get_class" },
	{ 0x8c1efb11, "pci_user_write_config_dword" },
	{ 0x83741e69, "pcie_capability_read_dword" },
	{ 0x13f57576, "__mmap_lock_do_trace_released" },
	{ 0x839e4c44, "pci_load_and_free_saved_state" },
	{ 0x1e3838d6, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0x748efa64, "pci_disable_device" },
	{ 0xec39fe3, "pci_match_id" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x41b89d41, "pci_check_and_unmask_intx" },
	{ 0xe9b00fa0, "pcie_set_readrq" },
	{ 0xe023aeb0, "pci_walk_bus" },
	{ 0xcd3a6a8, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0xc8e3138d, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xc7bc913b, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x370d1996, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x55540d12, "vga_set_legacy_decoding" },
	{ 0x939fbd7b, "pci_dev_unlock" },
	{ 0x233ccd7, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1ef0193a, "pci_free_irq_vectors" },
	{ 0x4379ee86, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xa805e081, "__pm_runtime_idle" },
	{ 0x42454067, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x83494849, "pci_bus_type" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0xd1bc07a2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x72381056, "pci_read_vpd" },
	{ 0x24822c36, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x21123cbf, "pci_request_selected_regions" },
	{ 0x873445c2, "pci_release_selected_regions" },
	{ 0xc6e6b243, "pci_user_write_config_byte" },
	{ 0x6b29f705, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xbe334bdb, "pci_bus_max_busnr" },
	{ 0x82ac2713, "pci_check_and_mask_intx" },
	{ 0x1543bbf, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xabb463e8, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xe8d83c1b, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe8a28fe4, "pci_dev_put" },
	{ 0x2ba5e730, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x7ad12019, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2435d8a, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xef2ae83d, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0x533384c0, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0xee4bb54, "pci_user_read_config_dword" },
	{ 0xb700b589, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xde6afd00, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7fdfc987, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x2b51b088, "pci_probe_reset_slot" },
	{ 0xb208f64f, "zap_vma_ptes" },
	{ 0x8988abaa, "pci_set_power_state" },
	{ 0xff7f7863, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x96783bd2, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "61E787FE588A46BA82DB98A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
