#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x00f4cea8, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x2337373e, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x46bcf826, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x2517ca67, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x3a36db5f, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xdc756c6f, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xe0bd6493, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x9428c645, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x7fdc8c70, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xc3cd7b38, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x670f2f44, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xedfe55ba, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x53888a7a, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x54b1f73d, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x8ca2bf93, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x063b8ef0, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x9886946e, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xb39356f5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xc67ecb12, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x872c6a7a, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x1b88071c, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x1a6904e5, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x9d5c7fee, "_gpl");
SYMBOL_CRC(print_tuple, 0xc88309f9, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x589462c7, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xf11f709e, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xa576c01f, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x49a4cd53, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x24ae1d4c, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x31ea1b75, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x80fa2ee6, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x65d9f153, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x1b04df46, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xb1b057e1, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xc5cd233d, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x6a75a40f, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x27e635f8, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x47206607, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xeab4b966, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x375ace07, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xffb83e60, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x89db941a, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x2ee9e1e6, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xdade3a24, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xd5ff20db, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x54847785, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x986da598, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x6453c970, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x46558b20, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xaf78a269, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x14a6fd78, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x253bb190, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xf673d49c, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x7deb064c, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x927d9534, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x0b8be77d, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x873b0f3c, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xe9fb0578, "_gpl");
SYMBOL_CRC(nf_confirm, 0x54b85790, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x5ef9283e, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x8d3ac303, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x5251ce9a, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x722e086e, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xbfe3cd5a, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x73250b19, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x56a7a5de, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x97e0951f, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x07aed4d8, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x01720d20, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x6fff86cd, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x84df634d, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xdc80e9d4, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x440879f1, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x52b46b48, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x45d11aa2, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x2ffc2b37, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xae87df60, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x2ee04f0c, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x21b01bed, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xba1f9f30, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x138c6d1c, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x5013af1d, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x68fe1726, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xc4a60c2d, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0xefe98b92, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x7ef5424b, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xc98abe33, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xe688b1e9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7112eb7f, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6d22c255, "make_kuid" },
	{ 0x6c4ff0c2, "nf_defrag_ipv6_disable" },
	{ 0xfd1b60cb, "ipv6_skip_exthdr" },
	{ 0x37863678, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x11b4febb, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x6b41fb5d, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfc24b75a, "nf_checksum" },
	{ 0xa4e6e0a, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x453f54c3, "init_net" },
	{ 0x54e5f5e0, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2eec61f2, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x46b79de7, "kmem_cache_free" },
	{ 0x5c1327d2, "seq_putc" },
	{ 0xd5a43273, "nla_put" },
	{ 0x42739c22, "nf_checksum_partial" },
	{ 0xe583416b, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9c6a9064, "nf_unregister_net_hooks" },
	{ 0xac7596ba, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x348bb0d2, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xd3c0ce6b, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc0b98faf, "nf_log_packet" },
	{ 0xafa01fc4, "make_kgid" },
	{ 0x90957390, "nf_ip_checksum" },
	{ 0x3e66b9f7, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xa041a619, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe8d285b2, "nla_policy_len" },
	{ 0x555b2ba1, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2c311f00, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc26cd2db, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x52d9aa63, "param_ops_bool" },
	{ 0x326e9db, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6b181a80, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8347a70a, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0x836ba040, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xf6eb9e08, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x9a0ed6b5, "pskb_trim_rcsum_slow" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1a5c0f4, "kmem_cache_destroy" },
	{ 0x4720cfa0, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7046603f, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xeb8a7ceb, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x74bb0fcf, "nf_defrag_ipv4_disable" },
	{ 0x353c6927, "nf_ip6_checksum" },
	{ 0x1afaa2fd, "proc_dou8vec_minmax" },
	{ 0x6a89f70c, "skb_copy_bits" },
	{ 0x26ab4c43, "param_ops_uint" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x544c365e, "nf_register_sockopt" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xc36bc09, "nfct_btf_struct_access" },
	{ 0x2573e044, "param_set_uint" },
	{ 0xcec4ee76, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e51a08f, "nf_ct_frag6_gather" },
	{ 0xc23e238c, "get_net_ns_by_id" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3470d37c, "kmem_cache_create" },
	{ 0xad19a4f3, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x14b4cdef, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xb337c35e, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x7bcf530d, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xc5f4704e, "nf_unregister_sockopt" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv6,libcrc32c,nf_defrag_ipv4");


MODULE_INFO(srcversion, "EF185EEAE30F6E4E4C9CC1C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
