#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x55d722b4, "tcf_register_action" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x3e325f88, "tcf_unregister_action" },
	{ 0x138c6d1c, "nf_connlabels_get" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xdc68707d, "skb_trim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x47d66ad9, "flow_offload_lookup" },
	{ 0x453f54c3, "init_net" },
	{ 0xa61e58f2, "flow_offload_refresh" },
	{ 0x9428c645, "nf_ct_acct_add" },
	{ 0x5c560c94, "__pskb_pull_tail" },
	{ 0xfa940aa, "flow_offload_teardown" },
	{ 0x6481e23b, "pv_ops" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0x375ace07, "nf_conntrack_helper_put" },
	{ 0xffb83e60, "nf_nat_helper_put" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x84792e93, "tcf_idr_check_alloc" },
	{ 0x6d8cc22d, "tcf_action_check_ctrlact" },
	{ 0x46bcf826, "nf_ct_tmpl_alloc" },
	{ 0xc4a60c2d, "nf_ct_add_helper" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcf36513, "tcf_action_set_ctrlact" },
	{ 0x137ed88, "tcf_chain_put_by_act" },
	{ 0x6f2efd87, "tcf_idr_create_from_flags" },
	{ 0xd429e601, "tcf_idr_cleanup" },
	{ 0x67c87fd8, "tcf_idr_release" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x4d49dbe4, "nf_flow_table_init" },
	{ 0xd144f3ff, "__module_get" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x493cb5e7, "skb_pull_rcsum" },
	{ 0x248e985e, "ipv6_find_hdr" },
	{ 0x7ef5424b, "nf_ct_handle_fragments" },
	{ 0xefe98b92, "nf_ct_skb_network_trim" },
	{ 0x53888a7a, "nf_conntrack_in" },
	{ 0x6a89f70c, "skb_copy_bits" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa0b7b431, "skb_push" },
	{ 0x2ffc2b37, "nf_ct_deliver_cached_events" },
	{ 0x5d448e26, "nf_ct_nat" },
	{ 0x4c44ce14, "flow_offload_alloc" },
	{ 0x12818066, "flow_offload_add" },
	{ 0x1c009385, "flow_offload_free" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x68fe1726, "nf_ct_helper" },
	{ 0xba1f9f30, "nf_connlabels_replace" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xbfe3cd5a, "nf_ct_ext_add" },
	{ 0x3a36db5f, "nf_ct_delete" },
	{ 0x2ee9e1e6, "__nf_ct_try_assign_helper" },
	{ 0x7fdc8c70, "__nf_conntrack_confirm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5013af1d, "nf_connlabels_put" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcc641d4d, "tcf_idrinfo_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4138c756, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xb06d7481, "nf_flow_table_free" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x6b41fb5d, "module_put" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xd5a43273, "nla_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_flow_table,nf_nat");


MODULE_INFO(srcversion, "9D1C8C9F8BEA229E47DB12C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
