#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0x9fc28cc2, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0xa327d985, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0x15ca5f26, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1f17a1bf, "__pm_runtime_set_status" },
	{ 0x9da102d2, "snd_ctl_new1" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4968a359, "put_device" },
	{ 0xe9c89bd4, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xc8c18cb9, "fwnode_gpiod_get_index" },
	{ 0xbf7adfd9, "device_property_read_u32_array" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0xd9b72422, "snd_ctl_boolean_mono_info" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xfddeb056, "efi" },
	{ 0x20972a29, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x97cb965f, "cs_dsp_halo_init" },
	{ 0x10aff708, "cs_dsp_power_down" },
	{ 0x8f466f9, "device_link_remove" },
	{ 0xa17b74ae, "cs35l41_test_key_unlock" },
	{ 0xd8846dbc, "hda_cs_dsp_add_controls" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8f07ae1c, "cs35l41_test_key_lock" },
	{ 0x18b1bcdd, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x8d77a2ce, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe1972e03, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf6e43fed, "hda_cs_dsp_write_ctl" },
	{ 0xa4166886, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcea2ad61, "devm_kasprintf" },
	{ 0xebf49c45, "devm_regmap_add_irq_chip" },
	{ 0xdd64e639, "strscpy" },
	{ 0xbe0c3247, "cs35l41_exit_hibernate" },
	{ 0x999e8297, "vfree" },
	{ 0xc0f5585a, "regmap_read" },
	{ 0xb1cbc464, "cs_dsp_run" },
	{ 0x609d65eb, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6826b5a5, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x52d9aa63, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x86f30c72, "cs35l41_write_fs_errata" },
	{ 0xb6d7c559, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc8865da6, "cs35l41_configure_cs_dsp" },
	{ 0x42ffc9d9, "_dev_crit" },
	{ 0xa8128056, "regmap_update_bits_base" },
	{ 0xe5a8211e, "dev_err_probe" },
	{ 0x203f792e, "regmap_multi_reg_write" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x3026c41e, "__pm_runtime_suspend" },
	{ 0x17e87300, "component_add" },
	{ 0xe38ecd6, "__pm_runtime_use_autosuspend" },
	{ 0x33083e83, "cs35l41_set_channels" },
	{ 0xeee8de6c, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x942efa81, "device_link_add" },
	{ 0x34c2eab0, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x3f9c78c, "acpi_dev_get_first_match_dev" },
	{ 0x7956c5bd, "gpiod_get_value_cansleep" },
	{ 0xe0658cea, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x461d8196, "regcache_cache_only" },
	{ 0x7f8453e0, "is_acpi_device_node" },
	{ 0xb5f9afa1, "gpiod_put" },
	{ 0xe6f7da50, "regcache_sync" },
	{ 0x872c7747, "regmap_write" },
	{ 0xcd9baee3, "devm_request_threaded_irq" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0xb3142277, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x5fe0561b, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x90d36a50, "gpiod_count" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3b6cb5c9, "cs_dsp_stop" },
	{ 0xe7fabcff, "pm_runtime_set_autosuspend_delay" },
	{ 0x2f494806, "cs35l41_register_errata_patch" },
	{ 0x7bfddc2d, "gpiod_set_value_cansleep" },
	{ 0x9dbd14db, "hda_cs_dsp_control_remove" },
	{ 0x96848186, "scnprintf" },
	{ 0x870e3a93, "gpiod_get_index" },
	{ 0xe8fbae61, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0x322a9446, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4977585e, "cs35l41_init_boost" },
	{ 0x4577ce12, "cs35l41_enter_hibernate" },
	{ 0xc0a24615, "get_device" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd696c746, "hda_cs_dsp_read_ctl" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "snd,cs_dsp,snd-soc-cs35l41-lib,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "52AA85FAA173B9B8BB9AC16");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
