#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sof_debug_check_flag, "", "");
KSYMTAB_FUNC(sof_print_oops_and_stack, "", "");
KSYMTAB_FUNC(sof_set_fw_state, "", "");
KSYMTAB_FUNC(snd_sof_device_probe, "", "");
KSYMTAB_FUNC(snd_sof_device_probe_completed, "", "");
KSYMTAB_FUNC(snd_sof_device_remove, "", "");
KSYMTAB_FUNC(snd_sof_device_shutdown, "", "");
KSYMTAB_FUNC(snd_sof_pci_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_forced, "", "");
KSYMTAB_FUNC(snd_sof_dsp_panic, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_raw, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_memcpy, "", "");
KSYMTAB_FUNC(snd_sof_run_firmware, "", "");
KSYMTAB_FUNC(snd_sof_fw_unload, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message, "", "");
KSYMTAB_FUNC(sof_ipc_set_get_data, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message_no_pm, "", "");
KSYMTAB_FUNC(snd_sof_ipc_get_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_init, "", "");
KSYMTAB_FUNC(snd_sof_ipc_free, "", "");
KSYMTAB_FUNC(snd_sof_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(sof_pcm_dai_link_fixup, "", "");
KSYMTAB_FUNC(snd_sof_runtime_suspend, "", "");
KSYMTAB_FUNC(snd_sof_runtime_idle, "", "");
KSYMTAB_FUNC(snd_sof_runtime_resume, "", "");
KSYMTAB_FUNC(snd_sof_resume, "", "");
KSYMTAB_FUNC(snd_sof_suspend, "", "");
KSYMTAB_FUNC(snd_sof_prepare, "", "");
KSYMTAB_FUNC(snd_sof_complete, "", "");
KSYMTAB_FUNC(snd_sof_debugfs_add_region_item_iomem, "_gpl", "");
KSYMTAB_FUNC(snd_sof_debugfs_buf_item, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_memory_info_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_free_debug, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dsp_dbg_dump, "", "");
KSYMTAB_FUNC(snd_sof_handle_fw_exception, "", "");
KSYMTAB_FUNC(snd_sof_load_topology, "", "");
KSYMTAB_FUNC(sof_io_write, "", "");
KSYMTAB_FUNC(sof_io_read, "", "");
KSYMTAB_FUNC(sof_io_write64, "", "");
KSYMTAB_FUNC(sof_io_read64, "", "");
KSYMTAB_FUNC(sof_mailbox_write, "", "");
KSYMTAB_FUNC(sof_mailbox_read, "", "");
KSYMTAB_FUNC(sof_block_write, "", "");
KSYMTAB_FUNC(sof_block_read, "", "");
KSYMTAB_FUNC(sof_widget_free, "", "");
KSYMTAB_FUNC(sof_widget_setup, "", "");
KSYMTAB_FUNC(snd_sof_dsp_only_d0i3_compatible_stream_active, "", "");
KSYMTAB_FUNC(sof_dai_get_mclk, "", "");
KSYMTAB_FUNC(sof_dai_get_bclk, "", "");
KSYMTAB_FUNC(sof_machine_check, "", "");
KSYMTAB_FUNC(sof_machine_register, "", "");
KSYMTAB_FUNC(sof_machine_unregister, "", "");
KSYMTAB_FUNC(sof_ipc_msg_data, "", "");
KSYMTAB_FUNC(sof_set_stream_data_offset, "", "");
KSYMTAB_FUNC(sof_stream_pcm_open, "", "");
KSYMTAB_FUNC(sof_stream_pcm_close, "", "");
KSYMTAB_FUNC(sof_ipc3_do_rx_work, "", "");
KSYMTAB_FUNC(sof_ipc4_set_pipeline_state, "", "");
KSYMTAB_FUNC(sof_client_dev_register, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_dev_unregister, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_tx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_rx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_set_get_data, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc4_find_module, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_suspend_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_resume_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_debugfs_root, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_dma_dev, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_version, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_max_payload_size, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_type, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_get, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_put, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_state, "_gpl", "SND_SOC_SOF_CLIENT");

SYMBOL_CRC(sof_debug_check_flag, 0x368c6727, "");
SYMBOL_CRC(sof_print_oops_and_stack, 0x68b4103a, "");
SYMBOL_CRC(sof_set_fw_state, 0x8a550249, "");
SYMBOL_CRC(snd_sof_device_probe, 0x797928e4, "");
SYMBOL_CRC(snd_sof_device_probe_completed, 0x96bef4fe, "");
SYMBOL_CRC(snd_sof_device_remove, 0x52986437, "");
SYMBOL_CRC(snd_sof_device_shutdown, 0x208d9ab4, "");
SYMBOL_CRC(snd_sof_pci_update_bits, 0xffe7f548, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_unlocked, 0x5e7c89d3, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64_unlocked, 0x728e0fdb, "");
SYMBOL_CRC(snd_sof_dsp_update_bits, 0x3ea23126, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64, 0x653787ad, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_forced, 0x910bc4a9, "");
SYMBOL_CRC(snd_sof_dsp_panic, 0xf71a6da4, "");
SYMBOL_CRC(snd_sof_load_firmware_raw, 0xf038deca, "");
SYMBOL_CRC(snd_sof_load_firmware_memcpy, 0xe2c036d6, "");
SYMBOL_CRC(snd_sof_run_firmware, 0x4dd4e16c, "");
SYMBOL_CRC(snd_sof_fw_unload, 0xbe206eaa, "");
SYMBOL_CRC(sof_ipc_tx_message, 0x4b52d946, "");
SYMBOL_CRC(sof_ipc_set_get_data, 0x5a1bd701, "");
SYMBOL_CRC(sof_ipc_tx_message_no_pm, 0xf509cb62, "");
SYMBOL_CRC(snd_sof_ipc_get_reply, 0xf9fc5fd9, "");
SYMBOL_CRC(snd_sof_ipc_reply, 0x70d8e50c, "");
SYMBOL_CRC(snd_sof_ipc_init, 0x4ee3ef3b, "");
SYMBOL_CRC(snd_sof_ipc_free, 0x14b8e43d, "");
SYMBOL_CRC(snd_sof_pcm_period_elapsed, 0x5e461097, "");
SYMBOL_CRC(sof_pcm_dai_link_fixup, 0x2c43875f, "");
SYMBOL_CRC(snd_sof_runtime_suspend, 0xf013e499, "");
SYMBOL_CRC(snd_sof_runtime_idle, 0x48320308, "");
SYMBOL_CRC(snd_sof_runtime_resume, 0x4a8fc4de, "");
SYMBOL_CRC(snd_sof_resume, 0x35047155, "");
SYMBOL_CRC(snd_sof_suspend, 0x8a063584, "");
SYMBOL_CRC(snd_sof_prepare, 0xbc0d3e36, "");
SYMBOL_CRC(snd_sof_complete, 0xd030fbe0, "");
SYMBOL_CRC(snd_sof_debugfs_add_region_item_iomem, 0x082cb7b2, "_gpl");
SYMBOL_CRC(snd_sof_debugfs_buf_item, 0x865413e6, "_gpl");
SYMBOL_CRC(snd_sof_dbg_memory_info_init, 0xd1c9bd33, "_gpl");
SYMBOL_CRC(snd_sof_dbg_init, 0xfa5eb02d, "_gpl");
SYMBOL_CRC(snd_sof_free_debug, 0x1d69a0af, "_gpl");
SYMBOL_CRC(snd_sof_dsp_dbg_dump, 0xb0ee9d58, "");
SYMBOL_CRC(snd_sof_handle_fw_exception, 0x3cef648e, "");
SYMBOL_CRC(snd_sof_load_topology, 0xc16317a5, "");
SYMBOL_CRC(sof_io_write, 0x456273ce, "");
SYMBOL_CRC(sof_io_read, 0x743b922b, "");
SYMBOL_CRC(sof_io_write64, 0x73cc9c32, "");
SYMBOL_CRC(sof_io_read64, 0x05d03b79, "");
SYMBOL_CRC(sof_mailbox_write, 0xde6f6c18, "");
SYMBOL_CRC(sof_mailbox_read, 0x4998c345, "");
SYMBOL_CRC(sof_block_write, 0x7d78291f, "");
SYMBOL_CRC(sof_block_read, 0xb77b5ab2, "");
SYMBOL_CRC(sof_widget_free, 0x7b23c2e7, "");
SYMBOL_CRC(sof_widget_setup, 0x4f59b856, "");
SYMBOL_CRC(snd_sof_dsp_only_d0i3_compatible_stream_active, 0x7fa40499, "");
SYMBOL_CRC(sof_dai_get_mclk, 0x6d6311a4, "");
SYMBOL_CRC(sof_dai_get_bclk, 0x4f4a8346, "");
SYMBOL_CRC(sof_machine_check, 0x4059cf80, "");
SYMBOL_CRC(sof_machine_register, 0x551a4335, "");
SYMBOL_CRC(sof_machine_unregister, 0x4303abf1, "");
SYMBOL_CRC(sof_ipc_msg_data, 0x4ba1a015, "");
SYMBOL_CRC(sof_set_stream_data_offset, 0x12e661ce, "");
SYMBOL_CRC(sof_stream_pcm_open, 0x9cd20ee1, "");
SYMBOL_CRC(sof_stream_pcm_close, 0x634046e1, "");
SYMBOL_CRC(sof_ipc3_do_rx_work, 0x220dc1d7, "");
SYMBOL_CRC(sof_ipc4_set_pipeline_state, 0x388922b2, "");
SYMBOL_CRC(sof_client_dev_register, 0xfefdecdd, "_gpl");
SYMBOL_CRC(sof_client_dev_unregister, 0x9de1de74, "_gpl");
SYMBOL_CRC(sof_client_ipc_tx_message, 0x80e4cea5, "_gpl");
SYMBOL_CRC(sof_client_ipc_rx_message, 0xc7fec23f, "_gpl");
SYMBOL_CRC(sof_client_ipc_set_get_data, 0x050e878c, "_gpl");
SYMBOL_CRC(sof_client_ipc4_find_module, 0xac92870c, "_gpl");
SYMBOL_CRC(sof_suspend_clients, 0x59cfd6cd, "_gpl");
SYMBOL_CRC(sof_resume_clients, 0x2208d566, "_gpl");
SYMBOL_CRC(sof_client_get_debugfs_root, 0x12f687c4, "_gpl");
SYMBOL_CRC(sof_client_get_dma_dev, 0x1fd21d33, "_gpl");
SYMBOL_CRC(sof_client_get_fw_version, 0xbb7bfbed, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_max_payload_size, 0x35cd2fda, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_type, 0x1e865df1, "_gpl");
SYMBOL_CRC(sof_client_core_module_get, 0x16894a5d, "_gpl");
SYMBOL_CRC(sof_client_core_module_put, 0x4ea127ef, "_gpl");
SYMBOL_CRC(sof_client_register_ipc_rx_handler, 0x224663f3, "_gpl");
SYMBOL_CRC(sof_client_unregister_ipc_rx_handler, 0x4fb92239, "_gpl");
SYMBOL_CRC(sof_client_register_fw_state_handler, 0x2be029be, "_gpl");
SYMBOL_CRC(sof_client_unregister_fw_state_handler, 0xee31519f, "_gpl");
SYMBOL_CRC(sof_client_get_fw_state, 0x0df91ee2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x52d9aa63, "param_ops_bool" },
	{ 0xff64cee6, "snd_dma_buffer_sync" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7d61ad99, "snd_pcm_period_elapsed" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xaf488bf5, "kmalloc_trace" },
	{ 0x3026c41e, "__pm_runtime_suspend" },
	{ 0x6add6a55, "snd_pcm_hw_constraint_step" },
	{ 0x4cefcfa, "snd_soc_tplg_widget_bind_event" },
	{ 0x754d539c, "strlen" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0x12df48f7, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x13f3b8df, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5c1cbf2, "pci_write_config_dword" },
	{ 0xa99f4878, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x97cd94b2, "dpcm_end_walk_at_be" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xd772ee04, "snd_soc_dapm_dai_free_widgets" },
	{ 0xeb8a7ceb, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xec8bac74, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdc0eb9e9, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x29dc0e1c, "snd_soc_dapm_dai_get_connected_widgets" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9386691e, "request_firmware" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4df1160, "pm_runtime_get_if_active" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xd44a7e65, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7581d96c, "snd_sof_create_page_table" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb0040d5e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5bc65da, "debugfs_file_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x1179d504, "pci_read_config_dword" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0x4bd6c7cd, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x40aa52b3, "devm_snd_soc_register_component" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4968a359, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xda27085f, "debugfs_file_put" },
	{ 0x6b41fb5d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa2ed52bf, "intel_nhlt_get_endpoint_blob" },
	{ 0x238a7c8, "snd_soc_rtdcom_lookup" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7f6f4767, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9783fb9e, "perf_trace_run_bpf_submit" },
	{ 0x888b4aab, "devm_kfree" },
	{ 0x20972a29, "_dev_err" },
	{ 0x4e53c65, "simple_open" },
	{ 0x4a9706d7, "platform_device_unregister" },
	{ 0xfb16de3c, "__auxiliary_device_add" },
	{ 0x3b7a444d, "widget_in_list" },
	{ 0x9770884a, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x13242f70, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9b59996e, "snd_soc_tplg_component_load" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb4647278, "snd_pcm_set_managed_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x58f74694, "bpf_trace_run1" },
	{ 0x5052a005, "device_del" },
	{ 0x583af99d, "default_llseek" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc2f8711b, "debugfs_create_u32" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe0f27302, "snd_soc_tplg_component_remove" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2a481605, "snd_ctl_notify_one" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0xcea2ad61, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3b1d1a0, "snd_pcm_hw_constraint_integer" },
	{ 0x85932e33, "bpf_trace_run3" },
	{ 0x3ac4e8e3, "debugfs_create_file" },
	{ 0x1a4736c3, "platform_device_register_full" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0x609d65eb, "__pm_runtime_resume" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-core,snd,snd-sof-utils,snd-intel-dspcfg");


MODULE_INFO(srcversion, "10C8AF374F3FF5693B9F177");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
